﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=5.9
@EndOfDesignText@
'Custom View class
'#Event: ExampleEvent (Value As Int)
'#DesignerProperty: Key: BooleanExample, DisplayName: Boolean Example, FieldType: Boolean, DefaultValue: True, Description: Example of a boolean property.
'#DesignerProperty: Key: IntExample, DisplayName: Int Example, FieldType: Int, DefaultValue: 10, MinRange: 0, MaxRange: 100, Description: Note that MinRange and MaxRange are optional.
'#DesignerProperty: Key: StringWithListExample, DisplayName: String With List, FieldType: String, DefaultValue: Sunday, List: Sunday|Monday|Tuesday|Wednesday|Thursday|Friday|Saturday
'#DesignerProperty: Key: StringExample, DisplayName: String Example, FieldType: String, DefaultValue: Text
'#DesignerProperty: Key: ColorExample, DisplayName: Color Example, FieldType: Color, DefaultValue: 0xFFCFDCDC, Description: You can use the built-in color picker to find the color values.
'#DesignerProperty: Key: DefaultColorExample, DisplayName: Default Color Example, FieldType: Color, DefaultValue: Null, Description: Setting the default value to Null means that a nullable field will be displayed.
Sub Class_Globals
	Private fx As JFX
	Private mEventName As String 'ignore
	Private mCallBack As Object 'ignore
	Private mBase As Pane
	Private btnSearchIcon As Button
	Private optFontAwesome As RadioButton
	Private optMaterial As RadioButton
	Private txtSearchFor As TextField
	Private sSearch As String
	Private iconsMaterial As Map
	Private iconsFontAwesome As Map
	Private iconsGoogle As Map
	Private lstFonts As CustomListView
	Private btnIcon1 As Button
	Private btnIcon2 As Button
	Private btnIcon3 As Button
	Private btnIcon4 As Button
	Private btnIcon5 As Button
	Private btnIcon6 As Button
	Private btnIcon7 As Button
	Private lblFonts As Label
	Private iconFont As Font
	Private sSource As String
	Private lstGroups As ListView
	Private mdiGroups As Map
End Sub

Public Sub Initialize (Callback As Object, EventName As String)
	mEventName = EventName
	mCallBack = Callback
	LoadIconsAwe
	iconsFontAwesome = SortMap(iconsFontAwesome)
	LoadIconsMat
	iconsMaterial = SortMap(iconsMaterial)
End Sub

Public Sub DesignerCreateView (Base As Pane, Lbl As Label, Props As Map)
	mBase = Base
	mBase.LoadLayout("vFontGrid")
	optFontAwesome.Selected = True
	optMaterial.Selected = False
	lblFonts.Text=""
End Sub

Private Sub Base_Resize (Width As Double, Height As Double)
	
End Sub

Public Sub GetBase As Pane
	Return mBase
End Sub


Sub btnSearchIcon_Action
	'which font options are selected
	sSearch = txtSearchFor.Text.trim
	If optFontAwesome.Selected = True Then
		iconFont = fx.CreateFontAwesome(16)
		sSource = "F"
		lstGroups.Enabled = False
		lstGroups.Items.clear			
		LoadFonts(iconsFontAwesome,sSearch)
	else if optMaterial.Selected = True Then 
		iconFont = fx.CreateMaterialIcons(16)
		sSource = "M"
		lstGroups.Enabled = True
		lstGroups.Items.clear		
		mdiGroups.initialize
		'create the groups
		For Each strItem As String In iconsMaterial.keys
			Dim strGroup As String = MvField(strItem,2,"-")
			mdiGroups.Put(strGroup,strGroup)
		Next
		For Each strGroup As String In mdiGroups.Keys
			lstGroups.items.add(strGroup)
		Next
		LoadFonts(iconsMaterial,sSearch)
	End If
End Sub

Sub MvField(sValue As String, iPosition As Int, Delimiter As String) As String
	Try
	If sValue.Length = 0 Then Return ""
	Dim xPos As Int: xPos = sValue.IndexOf(Delimiter)
	If xPos = -1 Then Return sValue
	Dim mValues() As String
	Dim tValues As Int
	Delimiter = FixDelimiter(Delimiter)
	If sValue.EndsWith(Delimiter) Then sValue = sValue & " "
	mValues = Regex.split(Delimiter, sValue)
	tValues = mValues.Length -1
	Select Case iPosition
		Case -1
			'get last value
			Return mValues(tValues)
		Case -2
			'second last
			Return mValues(tValues - 1)
		Case Else
			'position
			iPosition = iPosition - 1
			If iPosition <= -1 Then Return mValues(tValues)
			If iPosition > tValues Then Return ""
			Return mValues(iPosition)
	End Select
	Catch
		Return sValue
	End Try
End Sub

Sub SortMap(m As Map) As Map
	Dim nm As Map
	nm.Initialize
	Try
		Dim lst As List
		lst.Initialize
		For Each strkey As String In m.Keys
			lst.Add(strkey)
		Next
		'sort the list keys
		If lst.Size >= 0 Then lst.Sort(True)
		For Each strkey As String In lst
			Dim strvalue As Object = m.Get(strkey)
			nm.Put(strkey,strvalue)
		Next
		Return nm
	Catch
		Return m
	End Try		
End Sub

Sub LoadFonts(fromList As Map, searchFor As String)
	'if we have a search term, lets filter the list
	Dim filterList As List
	filterList.Initialize 
	searchFor = searchFor.trim
	If searchFor.Length > 0 Then
		searchFor = searchFor.tolowercase
		For Each strItem As String In fromList.keys
			If strItem.ToLowerCase.Contains(searchFor) Then
				filterList.Add(strItem)
			End If
		Next
	Else
		For Each strItem As String In fromList.keys
			filterList.Add(strItem)
		Next
	End If
	'clear the fonts
	lstFonts.Clear
	If filterList.Size = 0 Then
		MsgBoxInform(Null,"Icon Search", "The icon you were searching for could not be found.")
		Return
	End If
	lblFonts.Text = "Fonts: " & filterList.size
	'we have 7 icons per row
	Dim totRows As Int = filterList.Size / 7
	'do we have left overs icons that will spill over
	Dim spillRow As Int = filterList.Size Mod 7
	'if we have a spill over, increment the rows
	If spillRow > 0 Then totRows = totRows + 1
	'let's build each row with the items found
	'i.e break a list into equal parts e.g 7 items
	Dim cntItems As Int = 0
	Dim strRow As StringBuilder
	Dim mRows As List
	mRows.Initialize 
	strRow.Initialize 
	For Each strItem As String In filterList
		cntItems = cntItems + 1
		If cntItems > 7 Then
			'start a new row
			strRow = RemDelimSB(",",strRow)
			mRows.Add(strRow.ToString)
			strRow.Initialize
			cntItems = 0 
		Else
			strRow.Append(strItem).Append(",")
		End If		
	Next
	'there is a spill over, add the spill over items
	If spillRow > 0 Then 
		strRow = RemDelimSB(",",strRow)
		mRows.Add(strRow.ToString)
	End If
	'add each row to the listview
	cntItems = 0
	For Each eachRow As String In mRows
		cntItems = cntItems + 1
		Dim pnlRow As B4XView = CreateListItem(eachRow,60,60)
		lstFonts.Add(pnlRow,cntItems)
	Next
End Sub

'remove a delimiter from a string
private Sub RemDelimSB(delimiter As String, value As StringBuilder) As StringBuilder
	If value.tostring.EndsWith(delimiter) = True Then
		Dim delimLen As Int = delimiter.length
		value.Remove(value.Length-delimLen,value.Length)
	End If
	Return value
End Sub


Sub CreateListItem(Text As String, Width As Int, Height As Int) As B4XView
	'how many icons do we have in this row
	Dim spIcons() As String = StrParse(",",Text)
	Dim p As Pane
	p.Initialize("")
	p.LoadLayout("vFontButton")
	p.PrefHeight = Height
	
	'hide all the buttons
	btnIcon1.Visible = False
	btnIcon2.Visible = False
	btnIcon3.Visible = False
	btnIcon4.Visible = False
	btnIcon5.Visible = False
	btnIcon6.Visible = False
	btnIcon7.Visible = False
	'now lets display each icon
	Dim strIconValue As String = ""
	Dim cntIcons As Int = 0
	For Each strIcon As String In spIcons
		strIcon = strIcon.tolowercase
		strIconValue = ""
		If sSource = "M" Then strIconValue = iconsMaterial.GetDefault(strIcon,"")
		If sSource = "F" Then strIconValue = iconsFontAwesome.GetDefault(strIcon,"")
		If strIconValue <> "" Then
			cntIcons = cntIcons + 1
			Select Case cntIcons
				Case 1: SetButton(btnIcon1,strIcon,strIconValue)
				Case 2: SetButton(btnIcon2,strIcon,strIconValue)
				Case 3: SetButton(btnIcon3,strIcon,strIconValue)
				Case 4: SetButton(btnIcon4,strIcon,strIconValue)
				Case 5: SetButton(btnIcon5,strIcon,strIconValue)
				Case 6: SetButton(btnIcon6,strIcon,strIconValue)
				Case 7: SetButton(btnIcon7,strIcon,strIconValue)
			End Select
		End If
	Next
	Return p
End Sub

Sub SetButton(btnx As Button, iconname As String, iconvalue As String)
	btnx.Tag = CreateMap("iconname":iconname,"iconnumber":iconvalue)
	btnx.Text = iconvalue
	btnx.Font = iconFont
	btnx.Visible = True
	btnx.TooltipText = iconname
	Select Case sSource
	Case "M"
		CSSUtils.SetStyleProperty(btnx, "-fx-font-family", "'Material Icons';")
		CSSUtils.SetStyleProperty(btnx,"-fx-font-size", "16px;")
	Case "F"
		CSSUtils.SetStyleProperty(btnx, "-fx-font-family", "FontAwesome;")
		CSSUtils.SetStyleProperty(btnx, "-fx-font-size", "16px;")
	End Select
	CSSUtils.SetBackgroundColor(btnx, fx.Colors.Transparent)
End Sub

Sub btnIcon_Action
	'which button has been clicked
	Dim btn As Button
	btn = Sender
	Dim fm As Map = btn.tag
	frmIcons.SelectedIconName = fm.GetDefault("iconname","")
	frmIcons.SelectedIconNumber = fm.GetDefault("iconnumber","")
	frmIcons.Close
End Sub

Sub MsgBoxInform(pform As Object, title As String, Msg As String)
	fx.Msgbox2(pform,Msg,title,"Ok","","",fx.MSGBOX_INFORMATION)
End Sub


Sub StrParse(Delimiter As String, MV As String) As String()
	Delimiter = FixDelimiter(Delimiter)
	Return Regex.Split(Delimiter, MV)
End Sub

Sub FixDelimiter(sValue As String) As String
	If sValue = "|" Then sValue = "\|"
	If sValue = "." Then sValue = "\."
	If sValue = "\" Then sValue = "\\"
	If sValue = "^" Then sValue = "\^"
	If sValue = "$" Then sValue = "\$"
	If sValue = "?" Then sValue = "\?"
	If sValue = "*" Then sValue = "\*"
	If sValue = "+" Then sValue = "\+"
	If sValue = "(" Then sValue = "\("
	If sValue = ")" Then sValue = "\)"
	If sValue = "[" Then sValue = "\["
	If sValue = "{" Then sValue = "\{"
	If sValue = ";" Then sValue = "\;"
	Return sValue
End Sub

private Sub LoadIconsMat
	iconsMaterial.Initialize
	iconsMaterial.put("mdi-action-3d-rotation", Chr(0xe600))
	iconsMaterial.put("mdi-action-accessibility", Chr(0xe601))
	iconsMaterial.put("mdi-action-account-balance-wallet", Chr(0xe602))
	iconsMaterial.put("mdi-action-account-balance", Chr(0xe603))
	iconsMaterial.put("mdi-action-account-box", Chr(0xe604))
	iconsMaterial.put("mdi-action-account-child", Chr(0xe605))
	iconsMaterial.put("mdi-action-account-circle", Chr(0xe606))
	iconsMaterial.put("mdi-action-add-shopping-cart", Chr(0xe607))
	iconsMaterial.put("mdi-action-alarm-add", Chr(0xe608))
	iconsMaterial.put("mdi-action-alarm-off", Chr(0xe609))
	iconsMaterial.put("mdi-action-alarm-on", Chr(0xe60a))
	iconsMaterial.put("mdi-action-alarm", Chr(0xe60b))
	iconsMaterial.put("mdi-action-android", Chr(0xe60c))
	iconsMaterial.put("mdi-action-announcement", Chr(0xe60d))
	iconsMaterial.put("mdi-action-aspect-ratio", Chr(0xe60e))
	iconsMaterial.put("mdi-action-assessment", Chr(0xe60f))
	iconsMaterial.put("mdi-action-assignment-ind", Chr(0xe610))
	iconsMaterial.put("mdi-action-assignment-late", Chr(0xe611))
	iconsMaterial.put("mdi-action-assignment-return", Chr(0xe612))
	iconsMaterial.put("mdi-action-assignment-returned", Chr(0xe613))
	iconsMaterial.put("mdi-action-assignment-turned-in", Chr(0xe614))
	iconsMaterial.put("mdi-action-assignment", Chr(0xe615))
	iconsMaterial.put("mdi-action-autorenew", Chr(0xe616))
	iconsMaterial.put("mdi-action-backup", Chr(0xe617))
	iconsMaterial.put("mdi-action-book", Chr(0xe618))
	iconsMaterial.put("mdi-action-bookmark-outline", Chr(0xe619))
	iconsMaterial.put("mdi-action-bookmark", Chr(0xe61a))
	iconsMaterial.put("mdi-action-bug-report", Chr(0xe61b))
	iconsMaterial.put("mdi-action-cached", Chr(0xe61c))
	iconsMaterial.put("mdi-action-check-circle", Chr(0xe61d))
	iconsMaterial.put("mdi-action-class", Chr(0xe61e))
	iconsMaterial.put("mdi-action-credit-card", Chr(0xe61f))
	iconsMaterial.put("mdi-action-dashboard", Chr(0xe620))
	iconsMaterial.put("mdi-action-delete", Chr(0xe621))
	iconsMaterial.put("mdi-action-description", Chr(0xe622))
	iconsMaterial.put("mdi-action-dns", Chr(0xe623))
	iconsMaterial.put("mdi-action-done-all", Chr(0xe624))
	iconsMaterial.put("mdi-action-done", Chr(0xe625))
	iconsMaterial.put("mdi-action-event", Chr(0xe626))
	iconsMaterial.put("mdi-action-exit-to-app", Chr(0xe627))
	iconsMaterial.put("mdi-action-explore", Chr(0xe628))
	iconsMaterial.put("mdi-action-extension", Chr(0xe629))
	iconsMaterial.put("mdi-action-face-unlock", Chr(0xe62a))
	iconsMaterial.put("mdi-action-favorite-outline", Chr(0xe62b))
	iconsMaterial.put("mdi-action-favorite", Chr(0xe62c))
	iconsMaterial.put("mdi-action-find-in-page", Chr(0xe62d))
	iconsMaterial.put("mdi-action-find-replace", Chr(0xe62e))
	iconsMaterial.put("mdi-action-flip-to-back", Chr(0xe62f))
	iconsMaterial.put("mdi-action-flip-to-front", Chr(0xe630))
	iconsMaterial.put("mdi-action-get-app", Chr(0xe631))
	iconsMaterial.put("mdi-action-grade", Chr(0xe632))
	iconsMaterial.put("mdi-action-group-work", Chr(0xe633))
	iconsMaterial.put("mdi-action-help", Chr(0xe634))
	iconsMaterial.put("mdi-action-highlight-remove", Chr(0xe635))
	iconsMaterial.put("mdi-action-history", Chr(0xe636))
	iconsMaterial.put("mdi-action-home", Chr(0xe637))
	iconsMaterial.put("mdi-action-https", Chr(0xe638))
	iconsMaterial.put("mdi-action-info-outline", Chr(0xe639))
	iconsMaterial.put("mdi-action-info", Chr(0xe63a))
	iconsMaterial.put("mdi-action-input", Chr(0xe63b))
	iconsMaterial.put("mdi-action-invert-colors", Chr(0xe63c))
	iconsMaterial.put("mdi-action-label-outline", Chr(0xe63d))
	iconsMaterial.put("mdi-action-label", Chr(0xe63e))
	iconsMaterial.put("mdi-action-language", Chr(0xe63f))
	iconsMaterial.put("mdi-action-launch", Chr(0xe640))
	iconsMaterial.put("mdi-action-list", Chr(0xe641))
	iconsMaterial.put("mdi-action-lock-open", Chr(0xe642))
	iconsMaterial.put("mdi-action-lock-outline", Chr(0xe643))
	iconsMaterial.put("mdi-action-lock", Chr(0xe644))
	iconsMaterial.put("mdi-action-loyalty", Chr(0xe645))
	iconsMaterial.put("mdi-action-markunread-mailbox", Chr(0xe646))
	iconsMaterial.put("mdi-action-note-add", Chr(0xe647))
	iconsMaterial.put("mdi-action-open-in-browser", Chr(0xe648))
	iconsMaterial.put("mdi-action-open-in-new", Chr(0xe649))
	iconsMaterial.put("mdi-action-open-with", Chr(0xe64a))
	iconsMaterial.put("mdi-action-pageview", Chr(0xe64b))
	iconsMaterial.put("mdi-action-payment", Chr(0xe64c))
	iconsMaterial.put("mdi-action-perm-camera-mic", Chr(0xe64d))
	iconsMaterial.put("mdi-action-perm-contact-cal", Chr(0xe64e))
	iconsMaterial.put("mdi-action-perm-data-setting", Chr(0xe64f))
	iconsMaterial.put("mdi-action-perm-device-info", Chr(0xe650))
	iconsMaterial.put("mdi-action-perm-identity", Chr(0xe651))
	iconsMaterial.put("mdi-action-perm-media", Chr(0xe652))
	iconsMaterial.put("mdi-action-perm-phone-msg", Chr(0xe653))
	iconsMaterial.put("mdi-action-perm-scan-wifi", Chr(0xe654))
	iconsMaterial.put("mdi-action-picture-in-picture", Chr(0xe655))
	iconsMaterial.put("mdi-action-polymer", Chr(0xe656))
	iconsMaterial.put("mdi-action-print", Chr(0xe657))
	iconsMaterial.put("mdi-action-query-builder", Chr(0xe658))
	iconsMaterial.put("mdi-action-question-answer", Chr(0xe659))
	iconsMaterial.put("mdi-action-receipt", Chr(0xe65a))
	iconsMaterial.put("mdi-action-redeem", Chr(0xe65b))
	iconsMaterial.put("mdi-action-reorder", Chr(0xe65c))
	iconsMaterial.put("mdi-action-report-problem", Chr(0xe65d))
	iconsMaterial.put("mdi-action-restore", Chr(0xe65e))
	iconsMaterial.put("mdi-action-room", Chr(0xe65f))
	iconsMaterial.put("mdi-action-schedule", Chr(0xe660))
	iconsMaterial.put("mdi-action-search", Chr(0xe661))
	iconsMaterial.put("mdi-action-settings-applications", Chr(0xe662))
	iconsMaterial.put("mdi-action-settings-backup-restore", Chr(0xe663))
	iconsMaterial.put("mdi-action-settings-bluetooth", Chr(0xe664))
	iconsMaterial.put("mdi-action-settings-cell", Chr(0xe665))
	iconsMaterial.put("mdi-action-settings-display", Chr(0xe666))
	iconsMaterial.put("mdi-action-settings-ethernet", Chr(0xe667))
	iconsMaterial.put("mdi-action-settings-input-antenna", Chr(0xe668))
	iconsMaterial.put("mdi-action-settings-input-component", Chr(0xe669))
	iconsMaterial.put("mdi-action-settings-input-composite", Chr(0xe66a))
	iconsMaterial.put("mdi-action-settings-input-hdmi", Chr(0xe66b))
	iconsMaterial.put("mdi-action-settings-input-svideo", Chr(0xe66c))
	iconsMaterial.put("mdi-action-settings-overscan", Chr(0xe66d))
	iconsMaterial.put("mdi-action-settings-phone", Chr(0xe66e))
	iconsMaterial.put("mdi-action-settings-power", Chr(0xe66f))
	iconsMaterial.put("mdi-action-settings-remote", Chr(0xe670))
	iconsMaterial.put("mdi-action-settings-voice", Chr(0xe671))
	iconsMaterial.put("mdi-action-settings", Chr(0xe672))
	iconsMaterial.put("mdi-action-shop-two", Chr(0xe673))
	iconsMaterial.put("mdi-action-shop", Chr(0xe674))
	iconsMaterial.put("mdi-action-shopping-basket", Chr(0xe675))
	iconsMaterial.put("mdi-action-shopping-cart", Chr(0xe676))
	iconsMaterial.put("mdi-action-speaker-notes", Chr(0xe677))
	iconsMaterial.put("mdi-action-spellcheck", Chr(0xe678))
	iconsMaterial.put("mdi-action-star-rate", Chr(0xe679))
	iconsMaterial.put("mdi-action-stars", Chr(0xe67a))
	iconsMaterial.put("mdi-action-store", Chr(0xe67b))
	iconsMaterial.put("mdi-action-subject", Chr(0xe67c))
	iconsMaterial.put("mdi-action-supervisor-account", Chr(0xe67d))
	iconsMaterial.put("mdi-action-swap-horiz", Chr(0xe67e))
	iconsMaterial.put("mdi-action-swap-vert-circle", Chr(0xe67f))
	iconsMaterial.put("mdi-action-swap-vert", Chr(0xe680))
	iconsMaterial.put("mdi-action-system-update-tv", Chr(0xe681))
	iconsMaterial.put("mdi-action-tab-unselected", Chr(0xe682))
	iconsMaterial.put("mdi-action-tab", Chr(0xe683))
	iconsMaterial.put("mdi-action-theaters", Chr(0xe684))
	iconsMaterial.put("mdi-action-thumb-down", Chr(0xe685))
	iconsMaterial.put("mdi-action-thumb-up", Chr(0xe686))
	iconsMaterial.put("mdi-action-thumbs-up-down", Chr(0xe687))
	iconsMaterial.put("mdi-action-toc", Chr(0xe688))
	iconsMaterial.put("mdi-action-today", Chr(0xe689))
	iconsMaterial.put("mdi-action-track-changes", Chr(0xe68a))
	iconsMaterial.put("mdi-action-translate", Chr(0xe68b))
	iconsMaterial.put("mdi-action-trending-down", Chr(0xe68c))
	iconsMaterial.put("mdi-action-trending-neutral", Chr(0xe68d))
	iconsMaterial.put("mdi-action-trending-up", Chr(0xe68e))
	iconsMaterial.put("mdi-action-turned-in-not", Chr(0xe68f))
	iconsMaterial.put("mdi-action-turned-in", Chr(0xe690))
	iconsMaterial.put("mdi-action-verified-user", Chr(0xe691))
	iconsMaterial.put("mdi-action-view-agenda", Chr(0xe692))
	iconsMaterial.put("mdi-action-view-array", Chr(0xe693))
	iconsMaterial.put("mdi-action-view-carousel", Chr(0xe694))
	iconsMaterial.put("mdi-action-view-column", Chr(0xe695))
	iconsMaterial.put("mdi-action-view-day", Chr(0xe696))
	iconsMaterial.put("mdi-action-view-headline", Chr(0xe697))
	iconsMaterial.put("mdi-action-view-list", Chr(0xe698))
	iconsMaterial.put("mdi-action-view-module", Chr(0xe699))
	iconsMaterial.put("mdi-action-view-quilt", Chr(0xe69a))
	iconsMaterial.put("mdi-action-view-stream", Chr(0xe69b))
	iconsMaterial.put("mdi-action-view-week", Chr(0xe69c))
	iconsMaterial.put("mdi-action-visibility-off", Chr(0xe69d))
	iconsMaterial.put("mdi-action-visibility", Chr(0xe69e))
	iconsMaterial.put("mdi-action-wallet-giftcard", Chr(0xe69f))
	iconsMaterial.put("mdi-action-wallet-membership", Chr(0xe6a0))
	iconsMaterial.put("mdi-action-wallet-travel", Chr(0xe6a1))
	iconsMaterial.put("mdi-action-work", Chr(0xe6a2))
	iconsMaterial.put("mdi-alert-error", Chr(0xe6a3))
	iconsMaterial.put("mdi-alert-warning", Chr(0xe6a4))
	iconsMaterial.put("mdi-av-album", Chr(0xe6a5))
	iconsMaterial.put("mdi-av-closed-caption", Chr(0xe6a6))
	iconsMaterial.put("mdi-av-equalizer", Chr(0xe6a7))
	iconsMaterial.put("mdi-av-explicit", Chr(0xe6a8))
	iconsMaterial.put("mdi-av-fast-forward", Chr(0xe6a9))
	iconsMaterial.put("mdi-av-fast-rewind", Chr(0xe6aa))
	iconsMaterial.put("mdi-av-games", Chr(0xe6ab))
	iconsMaterial.put("mdi-av-hearing", Chr(0xe6ac))
	iconsMaterial.put("mdi-av-high-quality", Chr(0xe6ad))
	iconsMaterial.put("mdi-av-loop", Chr(0xe6ae))
	iconsMaterial.put("mdi-av-mic-none", Chr(0xe6af))
	iconsMaterial.put("mdi-av-mic-off", Chr(0xe6b0))
	iconsMaterial.put("mdi-av-mic", Chr(0xe6b1))
	iconsMaterial.put("mdi-av-movie", Chr(0xe6b2))
	iconsMaterial.put("mdi-av-my-library-add", Chr(0xe6b3))
	iconsMaterial.put("mdi-av-my-library-books", Chr(0xe6b4))
	iconsMaterial.put("mdi-av-my-library-music", Chr(0xe6b5))
	iconsMaterial.put("mdi-av-new-releases", Chr(0xe6b6))
	iconsMaterial.put("mdi-av-not-interested", Chr(0xe6b7))
	iconsMaterial.put("mdi-av-pause-circle-fill", Chr(0xe6b8))
	iconsMaterial.put("mdi-av-pause-circle-outline", Chr(0xe6b9))
	iconsMaterial.put("mdi-av-pause", Chr(0xe6ba))
	iconsMaterial.put("mdi-av-play-arrow", Chr(0xe6bb))
	iconsMaterial.put("mdi-av-play-circle-fill", Chr(0xe6bc))
	iconsMaterial.put("mdi-av-play-circle-outline", Chr(0xe6bd))
	iconsMaterial.put("mdi-av-play-shopping-bag", Chr(0xe6be))
	iconsMaterial.put("mdi-av-playlist-add", Chr(0xe6bf))
	iconsMaterial.put("mdi-av-queue-music", Chr(0xe6c0))
	iconsMaterial.put("mdi-av-queue", Chr(0xe6c1))
	iconsMaterial.put("mdi-av-radio", Chr(0xe6c2))
	iconsMaterial.put("mdi-av-recent-actors", Chr(0xe6c3))
	iconsMaterial.put("mdi-av-repeat-one", Chr(0xe6c4))
	iconsMaterial.put("mdi-av-repeat", Chr(0xe6c5))
	iconsMaterial.put("mdi-av-replay", Chr(0xe6c6))
	iconsMaterial.put("mdi-av-shuffle", Chr(0xe6c7))
	iconsMaterial.put("mdi-av-skip-next", Chr(0xe6c8))
	iconsMaterial.put("mdi-av-skip-previous", Chr(0xe6c9))
	iconsMaterial.put("mdi-av-snooze", Chr(0xe6ca))
	iconsMaterial.put("mdi-av-stop", Chr(0xe6cb))
	iconsMaterial.put("mdi-av-subtitles", Chr(0xe6cc))
	iconsMaterial.put("mdi-av-surround-sound", Chr(0xe6cd))
	iconsMaterial.put("mdi-av-timer", Chr(0xe6ce))
	iconsMaterial.put("mdi-av-video-collection", Chr(0xe6cf))
	iconsMaterial.put("mdi-av-videocam-off", Chr(0xe6d0))
	iconsMaterial.put("mdi-av-videocam", Chr(0xe6d1))
	iconsMaterial.put("mdi-av-volume-down", Chr(0xe6d2))
	iconsMaterial.put("mdi-av-volume-mute", Chr(0xe6d3))
	iconsMaterial.put("mdi-av-volume-off", Chr(0xe6d4))
	iconsMaterial.put("mdi-av-volume-up", Chr(0xe6d5))
	iconsMaterial.put("mdi-av-web", Chr(0xe6d6))
	iconsMaterial.put("mdi-communication-business", Chr(0xe6d7))
	iconsMaterial.put("mdi-communication-call-end", Chr(0xe6d8))
	iconsMaterial.put("mdi-communication-call-made", Chr(0xe6d9))
	iconsMaterial.put("mdi-communication-call-merge", Chr(0xe6da))
	iconsMaterial.put("mdi-communication-call-missed", Chr(0xe6db))
	iconsMaterial.put("mdi-communication-call-received", Chr(0xe6dc))
	iconsMaterial.put("mdi-communication-call-split", Chr(0xe6dd))
	iconsMaterial.put("mdi-communication-call", Chr(0xe6de))
	iconsMaterial.put("mdi-communication-chat", Chr(0xe6df))
	iconsMaterial.put("mdi-communication-clear-all", Chr(0xe6e0))
	iconsMaterial.put("mdi-communication-comment", Chr(0xe6e1))
	iconsMaterial.put("mdi-communication-contacts", Chr(0xe6e2))
	iconsMaterial.put("mdi-communication-dialer-sip", Chr(0xe6e3))
	iconsMaterial.put("mdi-communication-dialpad", Chr(0xe6e4))
	iconsMaterial.put("mdi-communication-dnd-on", Chr(0xe6e5))
	iconsMaterial.put("mdi-communication-email", Chr(0xe6e6))
	iconsMaterial.put("mdi-communication-forum", Chr(0xe6e7))
	iconsMaterial.put("mdi-communication-import-export", Chr(0xe6e8))
	iconsMaterial.put("mdi-communication-invert-colors-off", Chr(0xe6e9))
	iconsMaterial.put("mdi-communication-invert-colors-on", Chr(0xe6ea))
	iconsMaterial.put("mdi-communication-live-help", Chr(0xe6eb))
	iconsMaterial.put("mdi-communication-location-off", Chr(0xe6ec))
	iconsMaterial.put("mdi-communication-location-on", Chr(0xe6ed))
	iconsMaterial.put("mdi-communication-message", Chr(0xe6ee))
	iconsMaterial.put("mdi-communication-messenger", Chr(0xe6ef))
	iconsMaterial.put("mdi-communication-no-sim", Chr(0xe6f0))
	iconsMaterial.put("mdi-communication-phone", Chr(0xe6f1))
	iconsMaterial.put("mdi-communication-portable-wifi-off", Chr(0xe6f2))
	iconsMaterial.put("mdi-communication-quick-contacts-dialer", Chr(0xe6f3))
	iconsMaterial.put("mdi-communication-quick-contacts-mail", Chr(0xe6f4))
	iconsMaterial.put("mdi-communication-ring-volume", Chr(0xe6f5))
	iconsMaterial.put("mdi-communication-stay-current-landscape", Chr(0xe6f6))
	iconsMaterial.put("mdi-communication-stay-current-portrait", Chr(0xe6f7))
	iconsMaterial.put("mdi-communication-stay-primary-landscape", Chr(0xe6f8))
	iconsMaterial.put("mdi-communication-stay-primary-portrait", Chr(0xe6f9))
	iconsMaterial.put("mdi-communication-swap-calls", Chr(0xe6fa))
	iconsMaterial.put("mdi-communication-textsms", Chr(0xe6fb))
	iconsMaterial.put("mdi-communication-voicemail", Chr(0xe6fc))
	iconsMaterial.put("mdi-communication-vpn-key", Chr(0xe6fd))
	iconsMaterial.put("mdi-content-add-box", Chr(0xe6fe))
	iconsMaterial.put("mdi-content-add-circle-outline", Chr(0xe6ff))
	iconsMaterial.put("mdi-content-add-circle", Chr(0xe700))
	iconsMaterial.put("mdi-content-add", Chr(0xe701))
	iconsMaterial.put("mdi-content-archive", Chr(0xe702))
	iconsMaterial.put("mdi-content-backspace", Chr(0xe703))
	iconsMaterial.put("mdi-content-block", Chr(0xe704))
	iconsMaterial.put("mdi-content-clear", Chr(0xe705))
	iconsMaterial.put("mdi-content-content-copy", Chr(0xe706))
	iconsMaterial.put("mdi-content-content-cut", Chr(0xe707))
	iconsMaterial.put("mdi-content-content-paste", Chr(0xe708))
	iconsMaterial.put("mdi-content-create", Chr(0xe709))
	iconsMaterial.put("mdi-content-drafts", Chr(0xe70a))
	iconsMaterial.put("mdi-content-filter-list", Chr(0xe70b))
	iconsMaterial.put("mdi-content-flag", Chr(0xe70c))
	iconsMaterial.put("mdi-content-forward", Chr(0xe70d))
	iconsMaterial.put("mdi-content-gesture", Chr(0xe70e))
	iconsMaterial.put("mdi-content-inbox", Chr(0xe70f))
	iconsMaterial.put("mdi-content-link", Chr(0xe710))
	iconsMaterial.put("mdi-content-mail", Chr(0xe711))
	iconsMaterial.put("mdi-content-markunread", Chr(0xe712))
	iconsMaterial.put("mdi-content-redo", Chr(0xe713))
	iconsMaterial.put("mdi-content-remove-circle-outline", Chr(0xe714))
	iconsMaterial.put("mdi-content-remove-circle", Chr(0xe715))
	iconsMaterial.put("mdi-content-remove", Chr(0xe716))
	iconsMaterial.put("mdi-content-reply-all", Chr(0xe717))
	iconsMaterial.put("mdi-content-reply", Chr(0xe718))
	iconsMaterial.put("mdi-content-report", Chr(0xe719))
	iconsMaterial.put("mdi-content-save", Chr(0xe71a))
	iconsMaterial.put("mdi-content-select-all", Chr(0xe71b))
	iconsMaterial.put("mdi-content-send", Chr(0xe71c))
	iconsMaterial.put("mdi-content-sort", Chr(0xe71d))
	iconsMaterial.put("mdi-content-text-format", Chr(0xe71e))
	iconsMaterial.put("mdi-content-undo", Chr(0xe71f))
	iconsMaterial.put("mdi-editor-attach-file", Chr(0xe776))
	iconsMaterial.put("mdi-editor-attach-money", Chr(0xe777))
	iconsMaterial.put("mdi-editor-border-all", Chr(0xe778))
	iconsMaterial.put("mdi-editor-border-bottom", Chr(0xe779))
	iconsMaterial.put("mdi-editor-border-clear", Chr(0xe77a))
	iconsMaterial.put("mdi-editor-border-color", Chr(0xe77b))
	iconsMaterial.put("mdi-editor-border-horizontal", Chr(0xe77c))
	iconsMaterial.put("mdi-editor-border-inner", Chr(0xe77d))
	iconsMaterial.put("mdi-editor-border-left", Chr(0xe77e))
	iconsMaterial.put("mdi-editor-border-outer", Chr(0xe77f))
	iconsMaterial.put("mdi-editor-border-right", Chr(0xe780))
	iconsMaterial.put("mdi-editor-border-style", Chr(0xe781))
	iconsMaterial.put("mdi-editor-border-top", Chr(0xe782))
	iconsMaterial.put("mdi-editor-border-vertical", Chr(0xe783))
	iconsMaterial.put("mdi-editor-format-align-center", Chr(0xe784))
	iconsMaterial.put("mdi-editor-format-align-justify", Chr(0xe785))
	iconsMaterial.put("mdi-editor-format-align-left", Chr(0xe786))
	iconsMaterial.put("mdi-editor-format-align-right", Chr(0xe787))
	iconsMaterial.put("mdi-editor-format-bold", Chr(0xe788))
	iconsMaterial.put("mdi-editor-format-clear", Chr(0xe789))
	iconsMaterial.put("mdi-editor-format-color-fill", Chr(0xe78a))
	iconsMaterial.put("mdi-editor-format-color-reset", Chr(0xe78b))
	iconsMaterial.put("mdi-editor-format-color-text", Chr(0xe78c))
	iconsMaterial.put("mdi-editor-format-indent-decrease", Chr(0xe78d))
	iconsMaterial.put("mdi-editor-format-indent-increase", Chr(0xe78e))
	iconsMaterial.put("mdi-editor-format-italic", Chr(0xe78f))
	iconsMaterial.put("mdi-editor-format-line-spacing", Chr(0xe790))
	iconsMaterial.put("mdi-editor-format-list-bulleted", Chr(0xe791))
	iconsMaterial.put("mdi-editor-format-list-numbered", Chr(0xe792))
	iconsMaterial.put("mdi-editor-format-paint", Chr(0xe793))
	iconsMaterial.put("mdi-editor-format-quote", Chr(0xe794))
	iconsMaterial.put("mdi-editor-format-size", Chr(0xe795))
	iconsMaterial.put("mdi-editor-format-strikethrough", Chr(0xe796))
	iconsMaterial.put("mdi-editor-format-textdirection-l-to-r", Chr(0xe797))
	iconsMaterial.put("mdi-editor-format-textdirection-r-to-l", Chr(0xe798))
	iconsMaterial.put("mdi-editor-format-underline", Chr(0xe799))
	iconsMaterial.put("mdi-editor-functions", Chr(0xe79a))
	iconsMaterial.put("mdi-editor-insert-chart", Chr(0xe79b))
	iconsMaterial.put("mdi-editor-insert-comment", Chr(0xe79c))
	iconsMaterial.put("mdi-editor-insert-drive-file", Chr(0xe79d))
	iconsMaterial.put("mdi-editor-insert-emoticon", Chr(0xe79e))
	iconsMaterial.put("mdi-editor-insert-invitation", Chr(0xe79f))
	iconsMaterial.put("mdi-editor-insert-link", Chr(0xe7a0))
	iconsMaterial.put("mdi-editor-insert-photo", Chr(0xe7a1))
	iconsMaterial.put("mdi-editor-merge-type", Chr(0xe7a2))
	iconsMaterial.put("mdi-editor-mode-comment", Chr(0xe7a3))
	iconsMaterial.put("mdi-editor-mode-edit", Chr(0xe7a4))
	iconsMaterial.put("mdi-editor-publish", Chr(0xe7a5))
	iconsMaterial.put("mdi-editor-vertical-align-bottom", Chr(0xe7a6))
	iconsMaterial.put("mdi-editor-vertical-align-center", Chr(0xe7a7))
	iconsMaterial.put("mdi-editor-vertical-align-top", Chr(0xe7a8))
	iconsMaterial.put("mdi-editor-wrap-text", Chr(0xe7a9))
	iconsMaterial.put("mdi-file-attachment", Chr(0xe7aa))
	iconsMaterial.put("mdi-file-cloud-circle", Chr(0xe7ab))
	iconsMaterial.put("mdi-file-cloud-done", Chr(0xe7ac))
	iconsMaterial.put("mdi-file-cloud-download", Chr(0xe7ad))
	iconsMaterial.put("mdi-file-cloud-off", Chr(0xe7ae))
	iconsMaterial.put("mdi-file-cloud-queue", Chr(0xe7af))
	iconsMaterial.put("mdi-file-cloud-upload", Chr(0xe7b0))
	iconsMaterial.put("mdi-file-cloud", Chr(0xe7b1))
	iconsMaterial.put("mdi-file-file-download", Chr(0xe7b2))
	iconsMaterial.put("mdi-file-file-upload", Chr(0xe7b3))
	iconsMaterial.put("mdi-file-folder-open", Chr(0xe7b4))
	iconsMaterial.put("mdi-file-folder-shared", Chr(0xe7b5))
	iconsMaterial.put("mdi-file-folder", Chr(0xe7b6))
	iconsMaterial.put("mdi-device-access-alarm", Chr(0xe720))
	iconsMaterial.put("mdi-device-access-alarms", Chr(0xe721))
	iconsMaterial.put("mdi-device-access-time", Chr(0xe722))
	iconsMaterial.put("mdi-device-add-alarm", Chr(0xe723))
	iconsMaterial.put("mdi-device-airplanemode-off", Chr(0xe724))
	iconsMaterial.put("mdi-device-airplanemode-on", Chr(0xe725))
	iconsMaterial.put("mdi-device-battery-20", Chr(0xe726))
	iconsMaterial.put("mdi-device-battery-30", Chr(0xe727))
	iconsMaterial.put("mdi-device-battery-50", Chr(0xe728))
	iconsMaterial.put("mdi-device-battery-60", Chr(0xe729))
	iconsMaterial.put("mdi-device-battery-80", Chr(0xe72a))
	iconsMaterial.put("mdi-device-battery-90", Chr(0xe72b))
	iconsMaterial.put("mdi-device-battery-alert", Chr(0xe72c))
	iconsMaterial.put("mdi-device-battery-charging-20", Chr(0xe72d))
	iconsMaterial.put("mdi-device-battery-charging-30", Chr(0xe72e))
	iconsMaterial.put("mdi-device-battery-charging-50", Chr(0xe72f))
	iconsMaterial.put("mdi-device-battery-charging-60", Chr(0xe730))
	iconsMaterial.put("mdi-device-battery-charging-80", Chr(0xe731))
	iconsMaterial.put("mdi-device-battery-charging-90", Chr(0xe732))
	iconsMaterial.put("mdi-device-battery-charging-full", Chr(0xe733))
	iconsMaterial.put("mdi-device-battery-full", Chr(0xe734))
	iconsMaterial.put("mdi-device-battery-std", Chr(0xe735))
	iconsMaterial.put("mdi-device-battery-unknown", Chr(0xe736))
	iconsMaterial.put("mdi-device-bluetooth-connected", Chr(0xe737))
	iconsMaterial.put("mdi-device-bluetooth-disabled", Chr(0xe738))
	iconsMaterial.put("mdi-device-bluetooth-searching", Chr(0xe739))
	iconsMaterial.put("mdi-device-bluetooth", Chr(0xe73a))
	iconsMaterial.put("mdi-device-brightness-auto", Chr(0xe73b))
	iconsMaterial.put("mdi-device-brightness-high", Chr(0xe73c))
	iconsMaterial.put("mdi-device-brightness-low", Chr(0xe73d))
	iconsMaterial.put("mdi-device-brightness-medium", Chr(0xe73e))
	iconsMaterial.put("mdi-device-data-usage", Chr(0xe73f))
	iconsMaterial.put("mdi-device-developer-mode", Chr(0xe740))
	iconsMaterial.put("mdi-device-devices", Chr(0xe741))
	iconsMaterial.put("mdi-device-dvr", Chr(0xe742))
	iconsMaterial.put("mdi-device-gps-fixed", Chr(0xe743))
	iconsMaterial.put("mdi-device-gps-not-fixed", Chr(0xe744))
	iconsMaterial.put("mdi-device-gps-off", Chr(0xe745))
	iconsMaterial.put("mdi-device-location-disabled", Chr(0xe746))
	iconsMaterial.put("mdi-device-location-searching", Chr(0xe747))
	iconsMaterial.put("mdi-device-multitrack-audio", Chr(0xe748))
	iconsMaterial.put("mdi-device-network-cell", Chr(0xe749))
	iconsMaterial.put("mdi-device-network-wifi", Chr(0xe74a))
	iconsMaterial.put("mdi-device-nfc", Chr(0xe74b))
	iconsMaterial.put("mdi-device-now-wallpaper", Chr(0xe74c))
	iconsMaterial.put("mdi-device-now-widgets", Chr(0xe74d))
	iconsMaterial.put("mdi-device-screen-lock-landscape", Chr(0xe74e))
	iconsMaterial.put("mdi-device-screen-lock-portrait", Chr(0xe74f))
	iconsMaterial.put("mdi-device-screen-lock-rotation", Chr(0xe750))
	iconsMaterial.put("mdi-device-screen-rotation", Chr(0xe751))
	iconsMaterial.put("mdi-device-sd-storage", Chr(0xe752))
	iconsMaterial.put("mdi-device-settings-system-daydream", Chr(0xe753))
	iconsMaterial.put("mdi-device-signal-cellular-0-bar", Chr(0xe754))
	iconsMaterial.put("mdi-device-signal-cellular-1-bar", Chr(0xe755))
	iconsMaterial.put("mdi-device-signal-cellular-2-bar", Chr(0xe756))
	iconsMaterial.put("mdi-device-signal-cellular-3-bar", Chr(0xe757))
	iconsMaterial.put("mdi-device-signal-cellular-4-bar", Chr(0xe758))
	iconsMaterial.put("mdi-signal-wifi-statusbar-connected-no-internet-after", Chr(0xe8f6))
	iconsMaterial.put("mdi-device-signal-cellular-connected-no-internet-0-bar", Chr(0xe759))
	iconsMaterial.put("mdi-device-signal-cellular-connected-no-internet-1-bar", Chr(0xe75a))
	iconsMaterial.put("mdi-device-signal-cellular-connected-no-internet-2-bar", Chr(0xe75b))
	iconsMaterial.put("mdi-device-signal-cellular-connected-no-internet-3-bar", Chr(0xe75c))
	iconsMaterial.put("mdi-device-signal-cellular-connected-no-internet-4-bar", Chr(0xe75d))
	iconsMaterial.put("mdi-device-signal-cellular-no-sim", Chr(0xe75e))
	iconsMaterial.put("mdi-device-signal-cellular-null", Chr(0xe75f))
	iconsMaterial.put("mdi-device-signal-cellular-off", Chr(0xe760))
	iconsMaterial.put("mdi-device-signal-wifi-0-bar", Chr(0xe761))
	iconsMaterial.put("mdi-device-signal-wifi-1-bar", Chr(0xe762))
	iconsMaterial.put("mdi-device-signal-wifi-2-bar", Chr(0xe763))
	iconsMaterial.put("mdi-device-signal-wifi-3-bar", Chr(0xe764))
	iconsMaterial.put("mdi-device-signal-wifi-4-bar", Chr(0xe765))
	iconsMaterial.put("mdi-device-signal-wifi-off", Chr(0xe766))
	iconsMaterial.put("mdi-device-signal-wifi-statusbar-1-bar", Chr(0xe767))
	iconsMaterial.put("mdi-device-signal-wifi-statusbar-2-bar", Chr(0xe768))
	iconsMaterial.put("mdi-device-signal-wifi-statusbar-3-bar", Chr(0xe769))
	iconsMaterial.put("mdi-device-signal-wifi-statusbar-4-bar", Chr(0xe76a))
	iconsMaterial.put("mdi-device-signal-wifi-statusbar-connected-no-internet-", Chr(0xe76b))
	iconsMaterial.put("mdi-device-signal-wifi-statusbar-connected-no-internet", Chr(0xe76f))
	iconsMaterial.put("mdi-device-signal-wifi-statusbar-connected-no-internet-2", Chr(0xe76c))
	iconsMaterial.put("mdi-device-signal-wifi-statusbar-connected-no-internet-3", Chr(0xe76d))
	iconsMaterial.put("mdi-device-signal-wifi-statusbar-connected-no-internet-4", Chr(0xe76e))
	iconsMaterial.put("mdi-signal-wifi-statusbar-not-connected-after", Chr(0xe8f7))
	iconsMaterial.put("mdi-device-signal-wifi-statusbar-not-connected", Chr(0xe770))
	iconsMaterial.put("mdi-device-signal-wifi-statusbar-null", Chr(0xe771))
	iconsMaterial.put("mdi-device-storage", Chr(0xe772))
	iconsMaterial.put("mdi-device-usb", Chr(0xe773))
	iconsMaterial.put("mdi-device-wifi-lock", Chr(0xe774))
	iconsMaterial.put("mdi-device-wifi-tethering", Chr(0xe775))
	iconsMaterial.put("mdi-hardware-cast-connected", Chr(0xe7b7))
	iconsMaterial.put("mdi-hardware-cast", Chr(0xe7b8))
	iconsMaterial.put("mdi-hardware-computer", Chr(0xe7b9))
	iconsMaterial.put("mdi-hardware-desktop-mac", Chr(0xe7ba))
	iconsMaterial.put("mdi-hardware-desktop-windows", Chr(0xe7bb))
	iconsMaterial.put("mdi-hardware-dock", Chr(0xe7bc))
	iconsMaterial.put("mdi-hardware-gamepad", Chr(0xe7bd))
	iconsMaterial.put("mdi-hardware-headset-mic", Chr(0xe7be))
	iconsMaterial.put("mdi-hardware-headset", Chr(0xe7bf))
	iconsMaterial.put("mdi-hardware-keyboard-alt", Chr(0xe7c0))
	iconsMaterial.put("mdi-hardware-keyboard-arrow-down", Chr(0xe7c1))
	iconsMaterial.put("mdi-hardware-keyboard-arrow-left", Chr(0xe7c2))
	iconsMaterial.put("mdi-hardware-keyboard-arrow-right", Chr(0xe7c3))
	iconsMaterial.put("mdi-hardware-keyboard-arrow-up", Chr(0xe7c4))
	iconsMaterial.put("mdi-hardware-keyboard-backspace", Chr(0xe7c5))
	iconsMaterial.put("mdi-hardware-keyboard-capslock", Chr(0xe7c6))
	iconsMaterial.put("mdi-hardware-keyboard-control", Chr(0xe7c7))
	iconsMaterial.put("mdi-hardware-keyboard-hide", Chr(0xe7c8))
	iconsMaterial.put("mdi-hardware-keyboard-return", Chr(0xe7c9))
	iconsMaterial.put("mdi-hardware-keyboard-tab", Chr(0xe7ca))
	iconsMaterial.put("mdi-hardware-keyboard-voice", Chr(0xe7cb))
	iconsMaterial.put("mdi-hardware-keyboard", Chr(0xe7cc))
	iconsMaterial.put("mdi-hardware-laptop-chromebook", Chr(0xe7cd))
	iconsMaterial.put("mdi-hardware-laptop-mac", Chr(0xe7ce))
	iconsMaterial.put("mdi-hardware-laptop-windows", Chr(0xe7cf))
	iconsMaterial.put("mdi-hardware-laptop", Chr(0xe7d0))
	iconsMaterial.put("mdi-hardware-memory", Chr(0xe7d1))
	iconsMaterial.put("mdi-hardware-mouse", Chr(0xe7d2))
	iconsMaterial.put("mdi-hardware-phone-android", Chr(0xe7d3))
	iconsMaterial.put("mdi-hardware-phone-iphone", Chr(0xe7d4))
	iconsMaterial.put("mdi-hardware-phonelink-off", Chr(0xe7d5))
	iconsMaterial.put("mdi-hardware-phonelink", Chr(0xe7d6))
	iconsMaterial.put("mdi-hardware-security", Chr(0xe7d7))
	iconsMaterial.put("mdi-hardware-sim-card", Chr(0xe7d8))
	iconsMaterial.put("mdi-hardware-smartphone", Chr(0xe7d9))
	iconsMaterial.put("mdi-hardware-speaker", Chr(0xe7da))
	iconsMaterial.put("mdi-hardware-tablet-android", Chr(0xe7db))
	iconsMaterial.put("mdi-hardware-tablet-mac", Chr(0xe7dc))
	iconsMaterial.put("mdi-hardware-tablet", Chr(0xe7dd))
	iconsMaterial.put("mdi-hardware-tv", Chr(0xe7de))
	iconsMaterial.put("mdi-hardware-watch", Chr(0xe7df))
	iconsMaterial.put("mdi-image-add-to-photos", Chr(0xe7e0))
	iconsMaterial.put("mdi-image-adjust", Chr(0xe7e1))
	iconsMaterial.put("mdi-image-assistant-photo", Chr(0xe7e2))
	iconsMaterial.put("mdi-image-audiotrack", Chr(0xe7e3))
	iconsMaterial.put("mdi-image-blur-circular", Chr(0xe7e4))
	iconsMaterial.put("mdi-image-blur-linear", Chr(0xe7e5))
	iconsMaterial.put("mdi-image-blur-off", Chr(0xe7e6))
	iconsMaterial.put("mdi-image-blur-on", Chr(0xe7e7))
	iconsMaterial.put("mdi-image-brightness-1", Chr(0xe7e8))
	iconsMaterial.put("mdi-image-brightness-2", Chr(0xe7e9))
	iconsMaterial.put("mdi-image-brightness-3", Chr(0xe7ea))
	iconsMaterial.put("mdi-image-brightness-4", Chr(0xe7eb))
	iconsMaterial.put("mdi-image-brightness-5", Chr(0xe7ec))
	iconsMaterial.put("mdi-image-brightness-6", Chr(0xe7ed))
	iconsMaterial.put("mdi-image-brightness-7", Chr(0xe7ee))
	iconsMaterial.put("mdi-image-brush", Chr(0xe7ef))
	iconsMaterial.put("mdi-image-camera-alt", Chr(0xe7f0))
	iconsMaterial.put("mdi-image-camera-front", Chr(0xe7f1))
	iconsMaterial.put("mdi-image-camera-rear", Chr(0xe7f2))
	iconsMaterial.put("mdi-image-camera-roll", Chr(0xe7f3))
	iconsMaterial.put("mdi-image-camera", Chr(0xe7f4))
	iconsMaterial.put("mdi-image-center-focus-strong", Chr(0xe7f5))
	iconsMaterial.put("mdi-image-center-focus-weak", Chr(0xe7f6))
	iconsMaterial.put("mdi-image-collections", Chr(0xe7f7))
	iconsMaterial.put("mdi-image-color-lens", Chr(0xe7f8))
	iconsMaterial.put("mdi-image-colorize", Chr(0xe7f9))
	iconsMaterial.put("mdi-image-compare", Chr(0xe7fa))
	iconsMaterial.put("mdi-image-control-point-duplicate", Chr(0xe7fb))
	iconsMaterial.put("mdi-image-control-point", Chr(0xe7fc))
	iconsMaterial.put("mdi-image-crop-3-2", Chr(0xe7fd))
	iconsMaterial.put("mdi-image-crop-5-4", Chr(0xe7fe))
	iconsMaterial.put("mdi-image-crop-7-5", Chr(0xe7ff))
	iconsMaterial.put("mdi-image-crop-16-9", Chr(0xe800))
	iconsMaterial.put("mdi-image-crop-din", Chr(0xe801))
	iconsMaterial.put("mdi-image-crop-free", Chr(0xe802))
	iconsMaterial.put("mdi-image-crop-landscape", Chr(0xe803))
	iconsMaterial.put("mdi-image-crop-original", Chr(0xe804))
	iconsMaterial.put("mdi-image-crop-portrait", Chr(0xe805))
	iconsMaterial.put("mdi-image-crop-square", Chr(0xe806))
	iconsMaterial.put("mdi-image-crop", Chr(0xe807))
	iconsMaterial.put("mdi-image-dehaze", Chr(0xe808))
	iconsMaterial.put("mdi-image-details", Chr(0xe809))
	iconsMaterial.put("mdi-image-edit", Chr(0xe80a))
	iconsMaterial.put("mdi-image-exposure-minus-1", Chr(0xe80b))
	iconsMaterial.put("mdi-image-exposure-minus-2", Chr(0xe80c))
	iconsMaterial.put("mdi-image-exposure-plus-1", Chr(0xe80d))
	iconsMaterial.put("mdi-image-exposure-plus-2", Chr(0xe80e))
	iconsMaterial.put("mdi-image-exposure-zero", Chr(0xe80f))
	iconsMaterial.put("mdi-image-exposure", Chr(0xe810))
	iconsMaterial.put("mdi-image-filter-1", Chr(0xe811))
	iconsMaterial.put("mdi-image-filter-2", Chr(0xe812))
	iconsMaterial.put("mdi-image-filter-3", Chr(0xe813))
	iconsMaterial.put("mdi-image-filter-4", Chr(0xe814))
	iconsMaterial.put("mdi-image-filter-5", Chr(0xe815))
	iconsMaterial.put("mdi-image-filter-6", Chr(0xe816))
	iconsMaterial.put("mdi-image-filter-7", Chr(0xe817))
	iconsMaterial.put("mdi-image-filter-8", Chr(0xe818))
	iconsMaterial.put("mdi-image-filter-9-plus", Chr(0xe819))
	iconsMaterial.put("mdi-image-filter-9", Chr(0xe81a))
	iconsMaterial.put("mdi-image-filter-b-and-w", Chr(0xe81b))
	iconsMaterial.put("mdi-image-filter-center-focus", Chr(0xe81c))
	iconsMaterial.put("mdi-image-filter-drama", Chr(0xe81d))
	iconsMaterial.put("mdi-image-filter-frames", Chr(0xe81e))
	iconsMaterial.put("mdi-image-filter-hdr", Chr(0xe81f))
	iconsMaterial.put("mdi-image-filter-none", Chr(0xe820))
	iconsMaterial.put("mdi-image-filter-tilt-shift", Chr(0xe821))
	iconsMaterial.put("mdi-image-filter-vintage", Chr(0xe822))
	iconsMaterial.put("mdi-image-filter", Chr(0xe823))
	iconsMaterial.put("mdi-image-flare", Chr(0xe824))
	iconsMaterial.put("mdi-image-flash-auto", Chr(0xe825))
	iconsMaterial.put("mdi-image-flash-off", Chr(0xe826))
	iconsMaterial.put("mdi-image-flash-on", Chr(0xe827))
	iconsMaterial.put("mdi-image-flip", Chr(0xe828))
	iconsMaterial.put("mdi-image-gradient", Chr(0xe829))
	iconsMaterial.put("mdi-image-grain", Chr(0xe82a))
	iconsMaterial.put("mdi-image-grid-off", Chr(0xe82b))
	iconsMaterial.put("mdi-image-grid-on", Chr(0xe82c))
	iconsMaterial.put("mdi-image-hdr-off", Chr(0xe82d))
	iconsMaterial.put("mdi-image-hdr-on", Chr(0xe82e))
	iconsMaterial.put("mdi-image-hdr-strong", Chr(0xe82f))
	iconsMaterial.put("mdi-image-hdr-weak", Chr(0xe830))
	iconsMaterial.put("mdi-image-healing", Chr(0xe831))
	iconsMaterial.put("mdi-image-image-aspect-ratio", Chr(0xe832))
	iconsMaterial.put("mdi-image-image", Chr(0xe833))
	iconsMaterial.put("mdi-image-iso", Chr(0xe834))
	iconsMaterial.put("mdi-image-landscape", Chr(0xe835))
	iconsMaterial.put("mdi-image-leak-add", Chr(0xe836))
	iconsMaterial.put("mdi-image-leak-remove", Chr(0xe837))
	iconsMaterial.put("mdi-image-lens", Chr(0xe838))
	iconsMaterial.put("mdi-image-looks-3", Chr(0xe839))
	iconsMaterial.put("mdi-image-looks-4", Chr(0xe83a))
	iconsMaterial.put("mdi-image-looks-5", Chr(0xe83b))
	iconsMaterial.put("mdi-image-looks-6", Chr(0xe83c))
	iconsMaterial.put("mdi-image-looks-one", Chr(0xe83d))
	iconsMaterial.put("mdi-image-looks-two", Chr(0xe83e))
	iconsMaterial.put("mdi-image-looks", Chr(0xe83f))
	iconsMaterial.put("mdi-image-loupe", Chr(0xe840))
	iconsMaterial.put("mdi-image-movie-creation", Chr(0xe841))
	iconsMaterial.put("mdi-image-nature-people", Chr(0xe842))
	iconsMaterial.put("mdi-image-nature", Chr(0xe843))
	iconsMaterial.put("mdi-image-navigate-before", Chr(0xe844))
	iconsMaterial.put("mdi-image-navigate-next", Chr(0xe845))
	iconsMaterial.put("mdi-image-palette", Chr(0xe846))
	iconsMaterial.put("mdi-image-panorama-fisheye", Chr(0xe847))
	iconsMaterial.put("mdi-image-panorama-horizontal", Chr(0xe848))
	iconsMaterial.put("mdi-image-panorama-vertical", Chr(0xe849))
	iconsMaterial.put("mdi-image-panorama-wide-angle", Chr(0xe84a))
	iconsMaterial.put("mdi-image-panorama", Chr(0xe84b))
	iconsMaterial.put("mdi-image-photo-album", Chr(0xe84c))
	iconsMaterial.put("mdi-image-photo-camera", Chr(0xe84d))
	iconsMaterial.put("mdi-image-photo-library", Chr(0xe84e))
	iconsMaterial.put("mdi-image-photo", Chr(0xe84f))
	iconsMaterial.put("mdi-image-portrait", Chr(0xe850))
	iconsMaterial.put("mdi-image-remove-red-eye", Chr(0xe851))
	iconsMaterial.put("mdi-image-rotate-left", Chr(0xe852))
	iconsMaterial.put("mdi-image-rotate-right", Chr(0xe853))
	iconsMaterial.put("mdi-image-slideshow", Chr(0xe854))
	iconsMaterial.put("mdi-image-straighten", Chr(0xe855))
	iconsMaterial.put("mdi-image-style", Chr(0xe856))
	iconsMaterial.put("mdi-image-switch-camera", Chr(0xe857))
	iconsMaterial.put("mdi-image-switch-video", Chr(0xe858))
	iconsMaterial.put("mdi-image-tag-faces", Chr(0xe859))
	iconsMaterial.put("mdi-image-texture", Chr(0xe85a))
	iconsMaterial.put("mdi-image-timelapse", Chr(0xe85b))
	iconsMaterial.put("mdi-image-timer-3", Chr(0xe85c))
	iconsMaterial.put("mdi-image-timer-10", Chr(0xe85d))
	iconsMaterial.put("mdi-image-timer-auto", Chr(0xe85e))
	iconsMaterial.put("mdi-image-timer-off", Chr(0xe85f))
	iconsMaterial.put("mdi-image-timer", Chr(0xe860))
	iconsMaterial.put("mdi-image-tonality", Chr(0xe861))
	iconsMaterial.put("mdi-image-transform", Chr(0xe862))
	iconsMaterial.put("mdi-image-tune", Chr(0xe863))
	iconsMaterial.put("mdi-image-wb-auto", Chr(0xe864))
	iconsMaterial.put("mdi-image-wb-cloudy", Chr(0xe865))
	iconsMaterial.put("mdi-image-wb-incandescent", Chr(0xe866))
	iconsMaterial.put("mdi-image-wb-irradescent", Chr(0xe867))
	iconsMaterial.put("mdi-image-wb-sunny", Chr(0xe868))
	iconsMaterial.put("mdi-maps-beenhere", Chr(0xe869))
	iconsMaterial.put("mdi-maps-directions-bike", Chr(0xe86a))
	iconsMaterial.put("mdi-maps-directions-bus", Chr(0xe86b))
	iconsMaterial.put("mdi-maps-directions-car", Chr(0xe86c))
	iconsMaterial.put("mdi-maps-directions-ferry", Chr(0xe86d))
	iconsMaterial.put("mdi-maps-directions-subway", Chr(0xe86e))
	iconsMaterial.put("mdi-maps-directions-train", Chr(0xe86f))
	iconsMaterial.put("mdi-maps-directions-transit", Chr(0xe870))
	iconsMaterial.put("mdi-maps-directions-walk", Chr(0xe871))
	iconsMaterial.put("mdi-maps-directions", Chr(0xe872))
	iconsMaterial.put("mdi-maps-flight", Chr(0xe873))
	iconsMaterial.put("mdi-maps-hotel", Chr(0xe874))
	iconsMaterial.put("mdi-maps-layers-clear", Chr(0xe875))
	iconsMaterial.put("mdi-maps-layers", Chr(0xe876))
	iconsMaterial.put("mdi-maps-local-airport", Chr(0xe877))
	iconsMaterial.put("mdi-maps-local-atm", Chr(0xe878))
	iconsMaterial.put("mdi-maps-local-attraction", Chr(0xe879))
	iconsMaterial.put("mdi-maps-local-bar", Chr(0xe87a))
	iconsMaterial.put("mdi-maps-local-cafe", Chr(0xe87b))
	iconsMaterial.put("mdi-maps-local-car-wash", Chr(0xe87c))
	iconsMaterial.put("mdi-maps-local-convenience-store", Chr(0xe87d))
	iconsMaterial.put("mdi-maps-local-drink", Chr(0xe87e))
	iconsMaterial.put("mdi-maps-local-florist", Chr(0xe87f))
	iconsMaterial.put("mdi-maps-local-gas-station", Chr(0xe880))
	iconsMaterial.put("mdi-maps-local-grocery-store", Chr(0xe881))
	iconsMaterial.put("mdi-maps-local-hospital", Chr(0xe882))
	iconsMaterial.put("mdi-maps-local-hotel", Chr(0xe883))
	iconsMaterial.put("mdi-maps-local-laundry-service", Chr(0xe884))
	iconsMaterial.put("mdi-maps-local-library", Chr(0xe885))
	iconsMaterial.put("mdi-maps-local-mall", Chr(0xe886))
	iconsMaterial.put("mdi-maps-local-movies", Chr(0xe887))
	iconsMaterial.put("mdi-maps-local-offer", Chr(0xe888))
	iconsMaterial.put("mdi-maps-local-parking", Chr(0xe889))
	iconsMaterial.put("mdi-maps-local-pharmacy", Chr(0xe88a))
	iconsMaterial.put("mdi-maps-local-phone", Chr(0xe88b))
	iconsMaterial.put("mdi-maps-local-pizza", Chr(0xe88c))
	iconsMaterial.put("mdi-maps-local-play", Chr(0xe88d))
	iconsMaterial.put("mdi-maps-local-post-office", Chr(0xe88e))
	iconsMaterial.put("mdi-maps-local-print-shop", Chr(0xe88f))
	iconsMaterial.put("mdi-maps-local-restaurant", Chr(0xe890))
	iconsMaterial.put("mdi-maps-local-see", Chr(0xe891))
	iconsMaterial.put("mdi-maps-local-shipping", Chr(0xe892))
	iconsMaterial.put("mdi-maps-local-taxi", Chr(0xe893))
	iconsMaterial.put("mdi-maps-location-history", Chr(0xe894))
	iconsMaterial.put("mdi-maps-map", Chr(0xe895))
	iconsMaterial.put("mdi-maps-my-location", Chr(0xe896))
	iconsMaterial.put("mdi-maps-navigation", Chr(0xe897))
	iconsMaterial.put("mdi-maps-pin-drop", Chr(0xe898))
	iconsMaterial.put("mdi-maps-place", Chr(0xe899))
	iconsMaterial.put("mdi-maps-rate-review", Chr(0xe89a))
	iconsMaterial.put("mdi-maps-restaurant-menu", Chr(0xe89b))
	iconsMaterial.put("mdi-maps-satellite", Chr(0xe89c))
	iconsMaterial.put("mdi-maps-store-mall-directory", Chr(0xe89d))
	iconsMaterial.put("mdi-maps-terrain", Chr(0xe89e))
	iconsMaterial.put("mdi-maps-traffic", Chr(0xe89f))
	iconsMaterial.put("mdi-navigation-apps", Chr(0xe8a0))
	iconsMaterial.put("mdi-navigation-arrow-back", Chr(0xe8a1))
	iconsMaterial.put("mdi-navigation-arrow-drop-down-circle", Chr(0xe8a2))
	iconsMaterial.put("mdi-navigation-arrow-drop-down", Chr(0xe8a3))
	iconsMaterial.put("mdi-navigation-arrow-drop-up", Chr(0xe8a4))
	iconsMaterial.put("mdi-navigation-arrow-forward", Chr(0xe8a5))
	iconsMaterial.put("mdi-navigation-cancel", Chr(0xe8a6))
	iconsMaterial.put("mdi-navigation-check", Chr(0xe8a7))
	iconsMaterial.put("mdi-navigation-chevron-left", Chr(0xe8a8))
	iconsMaterial.put("mdi-navigation-chevron-right", Chr(0xe8a9))
	iconsMaterial.put("mdi-navigation-close", Chr(0xe8aa))
	iconsMaterial.put("mdi-navigation-expand-less", Chr(0xe8ab))
	iconsMaterial.put("mdi-navigation-expand-more", Chr(0xe8ac))
	iconsMaterial.put("mdi-navigation-fullscreen-exit", Chr(0xe8ad))
	iconsMaterial.put("mdi-navigation-fullscreen", Chr(0xe8ae))
	iconsMaterial.put("mdi-navigation-menu", Chr(0xe8af))
	iconsMaterial.put("mdi-navigation-more-horiz", Chr(0xe8b0))
	iconsMaterial.put("mdi-navigation-more-vert", Chr(0xe8b1))
	iconsMaterial.put("mdi-navigation-refresh", Chr(0xe8b2))
	iconsMaterial.put("mdi-navigation-unfold-less", Chr(0xe8b3))
	iconsMaterial.put("mdi-navigation-unfold-more", Chr(0xe8b4))
	iconsMaterial.put("mdi-notification-adb", Chr(0xe8b5))
	iconsMaterial.put("mdi-notification-bluetooth-audio", Chr(0xe8b6))
	iconsMaterial.put("mdi-notification-disc-full", Chr(0xe8b7))
	iconsMaterial.put("mdi-notification-dnd-forwardslash", Chr(0xe8b8))
	iconsMaterial.put("mdi-notification-do-not-disturb", Chr(0xe8b9))
	iconsMaterial.put("mdi-notification-drive-eta", Chr(0xe8ba))
	iconsMaterial.put("mdi-notification-event-available", Chr(0xe8bb))
	iconsMaterial.put("mdi-notification-event-busy", Chr(0xe8bc))
	iconsMaterial.put("mdi-notification-event-note", Chr(0xe8bd))
	iconsMaterial.put("mdi-notification-folder-special", Chr(0xe8be))
	iconsMaterial.put("mdi-notification-mms", Chr(0xe8bf))
	iconsMaterial.put("mdi-notification-more", Chr(0xe8c0))
	iconsMaterial.put("mdi-notification-network-locked", Chr(0xe8c1))
	iconsMaterial.put("mdi-notification-phone-bluetooth-speaker", Chr(0xe8c2))
	iconsMaterial.put("mdi-notification-phone-forwarded", Chr(0xe8c3))
	iconsMaterial.put("mdi-notification-phone-in-talk", Chr(0xe8c4))
	iconsMaterial.put("mdi-notification-phone-locked", Chr(0xe8c5))
	iconsMaterial.put("mdi-notification-phone-missed", Chr(0xe8c6))
	iconsMaterial.put("mdi-notification-phone-paused", Chr(0xe8c7))
	iconsMaterial.put("mdi-notification-play-download", Chr(0xe8c8))
	iconsMaterial.put("mdi-notification-play-install", Chr(0xe8c9))
	iconsMaterial.put("mdi-notification-sd-card", Chr(0xe8ca))
	iconsMaterial.put("mdi-notification-sim-card-alert", Chr(0xe8cb))
	iconsMaterial.put("mdi-notification-sms-failed", Chr(0xe8cc))
	iconsMaterial.put("mdi-notification-sms", Chr(0xe8cd))
	iconsMaterial.put("mdi-notification-sync-disabled", Chr(0xe8ce))
	iconsMaterial.put("mdi-notification-sync-problem", Chr(0xe8cf))
	iconsMaterial.put("mdi-notification-sync", Chr(0xe8d0))
	iconsMaterial.put("mdi-notification-system-update", Chr(0xe8d1))
	iconsMaterial.put("mdi-notification-tap-and-play", Chr(0xe8d2))
	iconsMaterial.put("mdi-notification-time-to-leave", Chr(0xe8d3))
	iconsMaterial.put("mdi-notification-vibration", Chr(0xe8d4))
	iconsMaterial.put("mdi-notification-voice-chat", Chr(0xe8d5))
	iconsMaterial.put("mdi-notification-vpn-lock", Chr(0xe8d6))
	iconsMaterial.put("mdi-social-cake", Chr(0xe8d7))
	iconsMaterial.put("mdi-social-domain", Chr(0xe8d8))
	iconsMaterial.put("mdi-social-group-add", Chr(0xe8d9))
	iconsMaterial.put("mdi-social-group", Chr(0xe8da))
	iconsMaterial.put("mdi-social-location-city", Chr(0xe8db))
	iconsMaterial.put("mdi-social-mood", Chr(0xe8dc))
	iconsMaterial.put("mdi-social-notifications-none", Chr(0xe8dd))
	iconsMaterial.put("mdi-social-notifications-off", Chr(0xe8de))
	iconsMaterial.put("mdi-social-notifications-on", Chr(0xe8df))
	iconsMaterial.put("mdi-social-notifications-paused", Chr(0xe8e0))
	iconsMaterial.put("mdi-social-notifications", Chr(0xe8e1))
	iconsMaterial.put("mdi-social-pages", Chr(0xe8e2))
	iconsMaterial.put("mdi-social-party-mode", Chr(0xe8e3))
	iconsMaterial.put("mdi-social-people-outline", Chr(0xe8e4))
	iconsMaterial.put("mdi-social-people", Chr(0xe8e5))
	iconsMaterial.put("mdi-social-person-add", Chr(0xe8e6))
	iconsMaterial.put("mdi-social-person-outline", Chr(0xe8e7))
	iconsMaterial.put("mdi-social-person", Chr(0xe8e8))
	iconsMaterial.put("mdi-social-plus-one", Chr(0xe8e9))
	iconsMaterial.put("mdi-social-poll", Chr(0xe8ea))
	iconsMaterial.put("mdi-social-public", Chr(0xe8eb))
	iconsMaterial.put("mdi-social-school", Chr(0xe8ec))
	iconsMaterial.put("mdi-social-share", Chr(0xe8ed))
	iconsMaterial.put("mdi-social-whatshot", Chr(0xe8ee))
	iconsMaterial.put("mdi-toggle-check-box-outline-blank", Chr(0xe8ef))
	iconsMaterial.put("mdi-toggle-check-box", Chr(0xe8f0))
	iconsMaterial.put("mdi-toggle-radio-button-off", Chr(0xe8f1))
	iconsMaterial.put("mdi-toggle-radio-button-on", Chr(0xe8f2))
	iconsMaterial.put("mdi-toggle-star-half", Chr(0xe8f3))
	iconsMaterial.put("mdi-toggle-star-outline", Chr(0xe8f4))
	iconsMaterial.put("mdi-toggle-star", Chr(0xe8f5))
End Sub

private Sub LoadIconsAwe
	iconsFontAwesome.Initialize
	iconsFontAwesome.put("fa fa-glass", Chr(0xf000))
	iconsFontAwesome.put("fa fa-music", Chr(0xf001))
	iconsFontAwesome.put("fa fa-search", Chr(0xf002))
	iconsFontAwesome.put("fa fa-envelope-o", Chr(0xf003))
	iconsFontAwesome.put("fa fa-heart", Chr(0xf004))
	iconsFontAwesome.put("fa fa-star", Chr(0xf005))
	iconsFontAwesome.put("fa fa-star-o", Chr(0xf006))
	iconsFontAwesome.put("fa fa-user", Chr(0xf007))
	iconsFontAwesome.put("fa fa-film", Chr(0xf008))
	iconsFontAwesome.put("fa fa-th-large", Chr(0xf009))
	iconsFontAwesome.put("fa fa-th", Chr(0xf00a))
	iconsFontAwesome.put("fa fa-th-list", Chr(0xf00b))
	iconsFontAwesome.put("fa fa-check", Chr(0xf00c))
	iconsFontAwesome.put("fa fa-times", Chr(0xf00d))
	iconsFontAwesome.put("fa fa-search-plus", Chr(0xf00e))
	iconsFontAwesome.put("fa fa-search-minus", Chr(0xf010))
	iconsFontAwesome.put("fa fa-power-off", Chr(0xf011))
	iconsFontAwesome.put("fa fa-signal", Chr(0xf012))
	iconsFontAwesome.put("fa fa-cog", Chr(0xf013))
	iconsFontAwesome.put("fa fa-trash-o", Chr(0xf014))
	iconsFontAwesome.put("fa fa-home", Chr(0xf015))
	iconsFontAwesome.put("fa fa-file-o", Chr(0xf016))
	iconsFontAwesome.put("fa fa-clock-o", Chr(0xf017))
	iconsFontAwesome.put("fa fa-road", Chr(0xf018))
	iconsFontAwesome.put("fa fa-download", Chr(0xf019))
	iconsFontAwesome.put("fa fa-arrow-circle-o-down", Chr(0xf01a))
	iconsFontAwesome.put("fa fa-arrow-circle-o-up", Chr(0xf01b))
	iconsFontAwesome.put("fa fa-inbox", Chr(0xf01c))
	iconsFontAwesome.put("fa fa-play-circle-o", Chr(0xf01d))
	iconsFontAwesome.put("fa fa-repeat", Chr(0xf01e))
	iconsFontAwesome.put("fa fa-refresh", Chr(0xf021))
	iconsFontAwesome.put("fa fa-list-alt", Chr(0xf022))
	iconsFontAwesome.put("fa fa-lock", Chr(0xf023))
	iconsFontAwesome.put("fa fa-flag", Chr(0xf024))
	iconsFontAwesome.put("fa fa-headphones", Chr(0xf025))
	iconsFontAwesome.put("fa fa-volume-off", Chr(0xf026))
	iconsFontAwesome.put("fa fa-volume-down", Chr(0xf027))
	iconsFontAwesome.put("fa fa-volume-up", Chr(0xf028))
	iconsFontAwesome.put("fa fa-qrcode", Chr(0xf029))
	iconsFontAwesome.put("fa fa-barcode", Chr(0xf02a))
	iconsFontAwesome.put("fa fa-tag", Chr(0xf02b))
	iconsFontAwesome.put("fa fa-tags", Chr(0xf02c))
	iconsFontAwesome.put("fa fa-book", Chr(0xf02d))
	iconsFontAwesome.put("fa fa-bookmark", Chr(0xf02e))
	iconsFontAwesome.put("fa fa-print", Chr(0xf02f))
	iconsFontAwesome.put("fa fa-camera", Chr(0xf030))
	iconsFontAwesome.put("fa fa-font", Chr(0xf031))
	iconsFontAwesome.put("fa fa-bold", Chr(0xf032))
	iconsFontAwesome.put("fa fa-italic", Chr(0xf033))
	iconsFontAwesome.put("fa fa-text-height", Chr(0xf034))
	iconsFontAwesome.put("fa fa-text-width", Chr(0xf035))
	iconsFontAwesome.put("fa fa-align-left", Chr(0xf036))
	iconsFontAwesome.put("fa fa-align-center", Chr(0xf037))
	iconsFontAwesome.put("fa fa-align-right", Chr(0xf038))
	iconsFontAwesome.put("fa fa-align-justify", Chr(0xf039))
	iconsFontAwesome.put("fa fa-list", Chr(0xf03a))
	iconsFontAwesome.put("fa fa-outdent", Chr(0xf03b))
	iconsFontAwesome.put("fa fa-indent", Chr(0xf03c))
	iconsFontAwesome.put("fa fa-video-camera", Chr(0xf03d))
	iconsFontAwesome.put("fa fa-picture-o", Chr(0xf03e))
	iconsFontAwesome.put("fa fa-pencil", Chr(0xf040))
	iconsFontAwesome.put("fa fa-map-marker", Chr(0xf041))
	iconsFontAwesome.put("fa fa-adjust", Chr(0xf042))
	iconsFontAwesome.put("fa fa-tint", Chr(0xf043))
	iconsFontAwesome.put("fa fa-pencil-square-o", Chr(0xf044))
	iconsFontAwesome.put("fa fa-share-square-o", Chr(0xf045))
	iconsFontAwesome.put("fa fa-check-square-o", Chr(0xf046))
	iconsFontAwesome.put("fa fa-arrows", Chr(0xf047))
	iconsFontAwesome.put("fa fa-step-backward", Chr(0xf048))
	iconsFontAwesome.put("fa fa-fast-backward", Chr(0xf049))
	iconsFontAwesome.put("fa fa-backward", Chr(0xf04a))
	iconsFontAwesome.put("fa fa-play", Chr(0xf04b))
	iconsFontAwesome.put("fa fa-pause", Chr(0xf04c))
	iconsFontAwesome.put("fa fa-stop", Chr(0xf04d))
	iconsFontAwesome.put("fa fa-forward", Chr(0xf04e))
	iconsFontAwesome.put("fa fa-fast-forward", Chr(0xf050))
	iconsFontAwesome.put("fa fa-step-forward", Chr(0xf051))
	iconsFontAwesome.put("fa fa-eject", Chr(0xf052))
	iconsFontAwesome.put("fa fa-chevron-left", Chr(0xf053))
	iconsFontAwesome.put("fa fa-chevron-right", Chr(0xf054))
	iconsFontAwesome.put("fa fa-plus-circle", Chr(0xf055))
	iconsFontAwesome.put("fa fa-minus-circle", Chr(0xf056))
	iconsFontAwesome.put("fa fa-times-circle", Chr(0xf057))
	iconsFontAwesome.put("fa fa-check-circle", Chr(0xf058))
	iconsFontAwesome.put("fa fa-question-circle", Chr(0xf059))
	iconsFontAwesome.put("fa fa-info-circle", Chr(0xf05a))
	iconsFontAwesome.put("fa fa-crosshairs", Chr(0xf05b))
	iconsFontAwesome.put("fa fa-times-circle-o", Chr(0xf05c))
	iconsFontAwesome.put("fa fa-check-circle-o", Chr(0xf05d))
	iconsFontAwesome.put("fa fa-ban", Chr(0xf05e))
	iconsFontAwesome.put("fa fa-arrow-left", Chr(0xf060))
	iconsFontAwesome.put("fa fa-arrow-right", Chr(0xf061))
	iconsFontAwesome.put("fa fa-arrow-up", Chr(0xf062))
	iconsFontAwesome.put("fa fa-arrow-down", Chr(0xf063))
	iconsFontAwesome.put("fa fa-share", Chr(0xf064))
	iconsFontAwesome.put("fa fa-expand", Chr(0xf065))
	iconsFontAwesome.put("fa fa-compress", Chr(0xf066))
	iconsFontAwesome.put("fa fa-plus", Chr(0xf067))
	iconsFontAwesome.put("fa fa-minus", Chr(0xf068))
	iconsFontAwesome.put("fa fa-asterisk", Chr(0xf069))
	iconsFontAwesome.put("fa fa-exclamation-circle", Chr(0xf06a))
	iconsFontAwesome.put("fa fa-gift", Chr(0xf06b))
	iconsFontAwesome.put("fa fa-leaf", Chr(0xf06c))
	iconsFontAwesome.put("fa fa-fire", Chr(0xf06d))
	iconsFontAwesome.put("fa fa-eye", Chr(0xf06e))
	iconsFontAwesome.put("fa fa-eye-slash", Chr(0xf070))
	iconsFontAwesome.put("fa fa-exclamation-triangle", Chr(0xf071))
	iconsFontAwesome.put("fa fa-plane", Chr(0xf072))
	iconsFontAwesome.put("fa fa-calendar", Chr(0xf073))
	iconsFontAwesome.put("fa fa-random", Chr(0xf074))
	iconsFontAwesome.put("fa fa-comment", Chr(0xf075))
	iconsFontAwesome.put("fa fa-magnet", Chr(0xf076))
	iconsFontAwesome.put("fa fa-chevron-up", Chr(0xf077))
	iconsFontAwesome.put("fa fa-chevron-down", Chr(0xf078))
	iconsFontAwesome.put("fa fa-retweet", Chr(0xf079))
	iconsFontAwesome.put("fa fa-shopping-cart", Chr(0xf07a))
	iconsFontAwesome.put("fa fa-folder", Chr(0xf07b))
	iconsFontAwesome.put("fa fa-folder-open", Chr(0xf07c))
	iconsFontAwesome.put("fa fa-arrows-v", Chr(0xf07d))
	iconsFontAwesome.put("fa fa-arrows-h", Chr(0xf07e))
	iconsFontAwesome.put("fa fa-bar-chart", Chr(0xf080))
	iconsFontAwesome.put("fa fa-twitter-square", Chr(0xf081))
	iconsFontAwesome.put("fa fa-facebook-square", Chr(0xf082))
	iconsFontAwesome.put("fa fa-camera-retro", Chr(0xf083))
	iconsFontAwesome.put("fa fa-key", Chr(0xf084))
	iconsFontAwesome.put("fa fa-cogs", Chr(0xf085))
	iconsFontAwesome.put("fa fa-comments", Chr(0xf086))
	iconsFontAwesome.put("fa fa-thumbs-o-up", Chr(0xf087))
	iconsFontAwesome.put("fa fa-thumbs-o-down", Chr(0xf088))
	iconsFontAwesome.put("fa fa-star-half", Chr(0xf089))
	iconsFontAwesome.put("fa fa-heart-o", Chr(0xf08a))
	iconsFontAwesome.put("fa fa-sign-out", Chr(0xf08b))
	iconsFontAwesome.put("fa fa-linkedin-square", Chr(0xf08c))
	iconsFontAwesome.put("fa fa-thumb-tack", Chr(0xf08d))
	iconsFontAwesome.put("fa fa-external-link", Chr(0xf08e))
	iconsFontAwesome.put("fa fa-sign-in", Chr(0xf090))
	iconsFontAwesome.put("fa fa-trophy", Chr(0xf091))
	iconsFontAwesome.put("fa fa-github-square", Chr(0xf092))
	iconsFontAwesome.put("fa fa-upload", Chr(0xf093))
	iconsFontAwesome.put("fa fa-lemon-o", Chr(0xf094))
	iconsFontAwesome.put("fa fa-phone", Chr(0xf095))
	iconsFontAwesome.put("fa fa-square-o", Chr(0xf096))
	iconsFontAwesome.put("fa fa-bookmark-o", Chr(0xf097))
	iconsFontAwesome.put("fa fa-phone-square", Chr(0xf098))
	iconsFontAwesome.put("fa fa-twitter", Chr(0xf099))
	iconsFontAwesome.put("fa fa-facebook", Chr(0xf09a))
	iconsFontAwesome.put("fa fa-github", Chr(0xf09b))
	iconsFontAwesome.put("fa fa-unlock", Chr(0xf09c))
	iconsFontAwesome.put("fa fa-credit-card", Chr(0xf09d))
	iconsFontAwesome.put("fa fa-rss", Chr(0xf09e))
	iconsFontAwesome.put("fa fa-hdd-o", Chr(0xf0a0))
	iconsFontAwesome.put("fa fa-bullhorn", Chr(0xf0a1))
	iconsFontAwesome.put("fa fa-bell", Chr(0xf0f3))
	iconsFontAwesome.put("fa fa-certificate", Chr(0xf0a3))
	iconsFontAwesome.put("fa fa-hand-o-right", Chr(0xf0a4))
	iconsFontAwesome.put("fa fa-hand-o-left", Chr(0xf0a5))
	iconsFontAwesome.put("fa fa-hand-o-up", Chr(0xf0a6))
	iconsFontAwesome.put("fa fa-hand-o-down", Chr(0xf0a7))
	iconsFontAwesome.put("fa fa-arrow-circle-left", Chr(0xf0a8))
	iconsFontAwesome.put("fa fa-arrow-circle-right", Chr(0xf0a9))
	iconsFontAwesome.put("fa fa-arrow-circle-up", Chr(0xf0aa))
	iconsFontAwesome.put("fa fa-arrow-circle-down", Chr(0xf0ab))
	iconsFontAwesome.put("fa fa-globe", Chr(0xf0ac))
	iconsFontAwesome.put("fa fa-wrench", Chr(0xf0ad))
	iconsFontAwesome.put("fa fa-tasks", Chr(0xf0ae))
	iconsFontAwesome.put("fa fa-filter", Chr(0xf0b0))
	iconsFontAwesome.put("fa fa-briefcase", Chr(0xf0b1))
	iconsFontAwesome.put("fa fa-arrows-alt", Chr(0xf0b2))
	iconsFontAwesome.put("fa fa-users", Chr(0xf0c0))
	iconsFontAwesome.put("fa fa-link", Chr(0xf0c1))
	iconsFontAwesome.put("fa fa-cloud", Chr(0xf0c2))
	iconsFontAwesome.put("fa fa-flask", Chr(0xf0c3))
	iconsFontAwesome.put("fa fa-cut", Chr(0xf0c4))
	iconsFontAwesome.put("fa fa-scissors", Chr(0xf0c4))
	iconsFontAwesome.put("fa fa-files-o", Chr(0xf0c5))
	iconsFontAwesome.put("fa fa-paperclip", Chr(0xf0c6))
	iconsFontAwesome.put("fa fa-floppy-o", Chr(0xf0c7))
	iconsFontAwesome.put("fa fa-square", Chr(0xf0c8))
	iconsFontAwesome.put("fa fa-bars", Chr(0xf0c9))
	iconsFontAwesome.put("fa fa-list-ul", Chr(0xf0ca))
	iconsFontAwesome.put("fa fa-list-ol", Chr(0xf0cb))
	iconsFontAwesome.put("fa fa-strikethrough", Chr(0xf0cc))
	iconsFontAwesome.put("fa fa-underline", Chr(0xf0cd))
	iconsFontAwesome.put("fa fa-table", Chr(0xf0ce))
	iconsFontAwesome.put("fa fa-magic", Chr(0xf0d0))
	iconsFontAwesome.put("fa fa-truck", Chr(0xf0d1))
	iconsFontAwesome.put("fa fa-pinterest", Chr(0xf0d2))
	iconsFontAwesome.put("fa fa-pinterest-square", Chr(0xf0d3))
	iconsFontAwesome.put("fa fa-google-plus-square", Chr(0xf0d4))
	iconsFontAwesome.put("fa fa-google-plus", Chr(0xf0d5))
	iconsFontAwesome.put("fa fa-money", Chr(0xf0d6))
	iconsFontAwesome.put("fa fa-caret-down", Chr(0xf0d7))
	iconsFontAwesome.put("fa fa-caret-up", Chr(0xf0d8))
	iconsFontAwesome.put("fa fa-caret-left", Chr(0xf0d9))
	iconsFontAwesome.put("fa fa-caret-right", Chr(0xf0da))
	iconsFontAwesome.put("fa fa-columns", Chr(0xf0db))
	iconsFontAwesome.put("fa fa-sort", Chr(0xf0dc))
	iconsFontAwesome.put("fa fa-sort-desc", Chr(0xf0dd))
	iconsFontAwesome.put("fa fa-sort-asc", Chr(0xf0de))
	iconsFontAwesome.put("fa fa-envelope", Chr(0xf0e0))
	iconsFontAwesome.put("fa fa-linkedin", Chr(0xf0e1))
	iconsFontAwesome.put("fa fa-undo", Chr(0xf0e2))
	iconsFontAwesome.put("fa fa-gavel", Chr(0xf0e3))
	iconsFontAwesome.put("fa fa-tachometer", Chr(0xf0e4))
	iconsFontAwesome.put("fa fa-comment-o", Chr(0xf0e5))
	iconsFontAwesome.put("fa fa-comments-o", Chr(0xf0e6))
	iconsFontAwesome.put("fa fa-bolt", Chr(0xf0e7))
	iconsFontAwesome.put("fa fa-sitemap", Chr(0xf0e8))
	iconsFontAwesome.put("fa fa-umbrella", Chr(0xf0e9))
	iconsFontAwesome.put("fa fa-clipboard", Chr(0xf0ea))
	iconsFontAwesome.put("fa fa-lightbulb-o", Chr(0xf0eb))
	iconsFontAwesome.put("fa fa-exchange", Chr(0xf0ec))
	iconsFontAwesome.put("fa fa-cloud-download", Chr(0xf0ed))
	iconsFontAwesome.put("fa fa-cloud-upload", Chr(0xf0ee))
	iconsFontAwesome.put("fa fa-user-md", Chr(0xf0f0))
	iconsFontAwesome.put("fa fa-stethoscope", Chr(0xf0f1))
	iconsFontAwesome.put("fa fa-suitcase", Chr(0xf0f2))
	iconsFontAwesome.put("fa fa-bell-o", Chr(0xf0a2))
	iconsFontAwesome.put("fa fa-coffee", Chr(0xf0f4))
	iconsFontAwesome.put("fa fa-cutlery", Chr(0xf0f5))
	iconsFontAwesome.put("fa fa-file-text-o", Chr(0xf0f6))
	iconsFontAwesome.put("fa fa-building-o", Chr(0xf0f7))
	iconsFontAwesome.put("fa fa-hospital-o", Chr(0xf0f8))
	iconsFontAwesome.put("fa fa-ambulance", Chr(0xf0f9))
	iconsFontAwesome.put("fa fa-medkit", Chr(0xf0fa))
	iconsFontAwesome.put("fa fa-fighter-jet", Chr(0xf0fb))
	iconsFontAwesome.put("fa fa-beer", Chr(0xf0fc))
	iconsFontAwesome.put("fa fa-h-square", Chr(0xf0fd))
	iconsFontAwesome.put("fa fa-plus-square", Chr(0xf0fe))
	iconsFontAwesome.put("fa fa-angle-double-left", Chr(0xf100))
	iconsFontAwesome.put("fa fa-angle-double-right", Chr(0xf101))
	iconsFontAwesome.put("fa fa-angle-double-up", Chr(0xf102))
	iconsFontAwesome.put("fa fa-angle-double-down", Chr(0xf103))
	iconsFontAwesome.put("fa fa-angle-left", Chr(0xf104))
	iconsFontAwesome.put("fa fa-angle-right", Chr(0xf105))
	iconsFontAwesome.put("fa fa-angle-up", Chr(0xf106))
	iconsFontAwesome.put("fa fa-angle-down", Chr(0xf107))
	iconsFontAwesome.put("fa fa-desktop", Chr(0xf108))
	iconsFontAwesome.put("fa fa-laptop", Chr(0xf109))
	iconsFontAwesome.put("fa fa-tablet", Chr(0xf10a))
	iconsFontAwesome.put("fa fa-mobile", Chr(0xf10b))
	iconsFontAwesome.put("fa fa-circle-o", Chr(0xf10c))
	iconsFontAwesome.put("fa fa-quote-left", Chr(0xf10d))
	iconsFontAwesome.put("fa fa-quote-right", Chr(0xf10e))
	iconsFontAwesome.put("fa fa-spinner", Chr(0xf110))
	iconsFontAwesome.put("fa fa-circle", Chr(0xf111))
	iconsFontAwesome.put("fa fa-reply", Chr(0xf112))
	iconsFontAwesome.put("fa fa-github-alt", Chr(0xf113))
	iconsFontAwesome.put("fa fa-folder-o", Chr(0xf114))
	iconsFontAwesome.put("fa fa-folder-open-o", Chr(0xf115))
	iconsFontAwesome.put("fa fa-smile-o", Chr(0xf118))
	iconsFontAwesome.put("fa fa-frown-o", Chr(0xf119))
	iconsFontAwesome.put("fa fa-meh-o", Chr(0xf11a))
	iconsFontAwesome.put("fa fa-gamepad", Chr(0xf11b))
	iconsFontAwesome.put("fa fa-keyboard-o", Chr(0xf11c))
	iconsFontAwesome.put("fa fa-flag-o", Chr(0xf11d))
	iconsFontAwesome.put("fa fa-flag-checkered", Chr(0xf11e))
	iconsFontAwesome.put("fa fa-terminal", Chr(0xf120))
	iconsFontAwesome.put("fa fa-code", Chr(0xf121))
	iconsFontAwesome.put("fa fa-reply-all", Chr(0xf122))
	iconsFontAwesome.put("fa fa-star-half-o", Chr(0xf123))
	iconsFontAwesome.put("fa fa-location-arrow", Chr(0xf124))
	iconsFontAwesome.put("fa fa-crop", Chr(0xf125))
	iconsFontAwesome.put("fa fa-code-fork", Chr(0xf126))
	iconsFontAwesome.put("fa fa-chain-broken", Chr(0xf127))
	iconsFontAwesome.put("fa fa-question", Chr(0xf128))
	iconsFontAwesome.put("fa fa-info", Chr(0xf129))
	iconsFontAwesome.put("fa fa-exclamation", Chr(0xf12a))
	iconsFontAwesome.put("fa fa-superscript", Chr(0xf12b))
	iconsFontAwesome.put("fa fa-subscript", Chr(0xf12c))
	iconsFontAwesome.put("fa fa-eraser", Chr(0xf12d))
	iconsFontAwesome.put("fa fa-puzzle-piece", Chr(0xf12e))
	iconsFontAwesome.put("fa fa-microphone", Chr(0xf130))
	iconsFontAwesome.put("fa fa-microphone-slash", Chr(0xf131))
	iconsFontAwesome.put("fa fa-shield", Chr(0xf132))
	iconsFontAwesome.put("fa fa-calendar-o", Chr(0xf133))
	iconsFontAwesome.put("fa fa-fire-extinguisher", Chr(0xf134))
	iconsFontAwesome.put("fa fa-rocket", Chr(0xf135))
	iconsFontAwesome.put("fa fa-maxcdn", Chr(0xf136))
	iconsFontAwesome.put("fa fa-chevron-circle-left", Chr(0xf137))
	iconsFontAwesome.put("fa fa-chevron-circle-right", Chr(0xf138))
	iconsFontAwesome.put("fa fa-chevron-circle-up", Chr(0xf139))
	iconsFontAwesome.put("fa fa-chevron-circle-down", Chr(0xf13a))
	iconsFontAwesome.put("fa fa-html5", Chr(0xf13b))
	iconsFontAwesome.put("fa fa-css3", Chr(0xf13c))
	iconsFontAwesome.put("fa fa-anchor", Chr(0xf13d))
	iconsFontAwesome.put("fa fa-unlock-alt", Chr(0xf13e))
	iconsFontAwesome.put("fa fa-bullseye", Chr(0xf140))
	iconsFontAwesome.put("fa fa-ellipsis-h", Chr(0xf141))
	iconsFontAwesome.put("fa fa-ellipsis-v", Chr(0xf142))
	iconsFontAwesome.put("fa fa-rss-square", Chr(0xf143))
	iconsFontAwesome.put("fa fa-play-circle", Chr(0xf144))
	iconsFontAwesome.put("fa fa-ticket", Chr(0xf145))
	iconsFontAwesome.put("fa fa-minus-square", Chr(0xf146))
	iconsFontAwesome.put("fa fa-minus-square-o", Chr(0xf147))
	iconsFontAwesome.put("fa fa-level-up", Chr(0xf148))
	iconsFontAwesome.put("fa fa-level-down", Chr(0xf149))
	iconsFontAwesome.put("fa fa-check-square", Chr(0xf14a))
	iconsFontAwesome.put("fa fa-pencil-square", Chr(0xf14b))
	iconsFontAwesome.put("fa fa-external-link-square", Chr(0xf14c))
	iconsFontAwesome.put("fa fa-share-square", Chr(0xf14d))
	iconsFontAwesome.put("fa fa-compass", Chr(0xf14e))
	iconsFontAwesome.put("fa fa-toggle-down:before", Chr(0xf150))
	iconsFontAwesome.put("fa fa-caret-square-o-down", Chr(0xf150))
	iconsFontAwesome.put("fa fa-caret-square-o-up", Chr(0xf151))
	iconsFontAwesome.put("fa fa-caret-square-o-right", Chr(0xf152))
	iconsFontAwesome.put("fa fa-eur", Chr(0xf153))
	iconsFontAwesome.put("fa fa-gbp", Chr(0xf154))
	iconsFontAwesome.put("fa fa-usd", Chr(0xf155))
	iconsFontAwesome.put("fa fa-inr", Chr(0xf156))
	iconsFontAwesome.put("fa fa-jpy", Chr(0xf157))
	iconsFontAwesome.put("fa fa-rub", Chr(0xf158))
	iconsFontAwesome.put("fa fa-krw", Chr(0xf159))
	iconsFontAwesome.put("fa fa-btc", Chr(0xf15a))
	iconsFontAwesome.put("fa fa-file", Chr(0xf15b))
	iconsFontAwesome.put("fa fa-file-text", Chr(0xf15c))
	iconsFontAwesome.put("fa fa-sort-alpha-asc", Chr(0xf15d))
	iconsFontAwesome.put("fa fa-sort-alpha-desc", Chr(0xf15e))
	iconsFontAwesome.put("fa fa-sort-amount-asc", Chr(0xf160))
	iconsFontAwesome.put("fa fa-sort-amount-desc", Chr(0xf161))
	iconsFontAwesome.put("fa fa-sort-numeric-asc", Chr(0xf162))
	iconsFontAwesome.put("fa fa-sort-numeric-desc", Chr(0xf163))
	iconsFontAwesome.put("fa fa-thumbs-up", Chr(0xf164))
	iconsFontAwesome.put("fa fa-thumbs-down", Chr(0xf165))
	iconsFontAwesome.put("fa fa-youtube-square", Chr(0xf166))
	iconsFontAwesome.put("fa fa-youtube", Chr(0xf167))
	iconsFontAwesome.put("fa fa-xing", Chr(0xf168))
	iconsFontAwesome.put("fa fa-xing-square", Chr(0xf169))
	iconsFontAwesome.put("fa fa-youtube-play", Chr(0xf16a))
	iconsFontAwesome.put("fa fa-dropbox", Chr(0xf16b))
	iconsFontAwesome.put("fa fa-stack-overflow", Chr(0xf16c))
	iconsFontAwesome.put("fa fa-instagram", Chr(0xf16d))
	iconsFontAwesome.put("fa fa-flickr", Chr(0xf16e))
	iconsFontAwesome.put("fa fa-adn", Chr(0xf170))
	iconsFontAwesome.put("fa fa-bitbucket", Chr(0xf171))
	iconsFontAwesome.put("fa fa-bitbucket-square", Chr(0xf172))
	iconsFontAwesome.put("fa fa-tumblr", Chr(0xf173))
	iconsFontAwesome.put("fa fa-tumblr-square", Chr(0xf174))
	iconsFontAwesome.put("fa fa-long-arrow-down", Chr(0xf175))
	iconsFontAwesome.put("fa fa-long-arrow-up", Chr(0xf176))
	iconsFontAwesome.put("fa fa-long-arrow-left", Chr(0xf177))
	iconsFontAwesome.put("fa fa-long-arrow-right", Chr(0xf178))
	iconsFontAwesome.put("fa fa-apple", Chr(0xf179))
	iconsFontAwesome.put("fa fa-windows", Chr(0xf17a))
	iconsFontAwesome.put("fa fa-android", Chr(0xf17b))
	iconsFontAwesome.put("fa fa-linux", Chr(0xf17c))
	iconsFontAwesome.put("fa fa-dribbble", Chr(0xf17d))
	iconsFontAwesome.put("fa fa-skype", Chr(0xf17e))
	iconsFontAwesome.put("fa fa-foursquare", Chr(0xf180))
	iconsFontAwesome.put("fa fa-trello", Chr(0xf181))
	iconsFontAwesome.put("fa fa-female", Chr(0xf182))
	iconsFontAwesome.put("fa fa-male", Chr(0xf183))
	iconsFontAwesome.put("fa fa-gratipay", Chr(0xf184))
	iconsFontAwesome.put("fa fa-sun-o", Chr(0xf185))
	iconsFontAwesome.put("fa fa-moon-o", Chr(0xf186))
	iconsFontAwesome.put("fa fa-archive", Chr(0xf187))
	iconsFontAwesome.put("fa fa-bug", Chr(0xf188))
	iconsFontAwesome.put("fa fa-vk", Chr(0xf189))
	iconsFontAwesome.put("fa fa-weibo", Chr(0xf18a))
	iconsFontAwesome.put("fa fa-renren", Chr(0xf18b))
	iconsFontAwesome.put("fa fa-pagelines", Chr(0xf18c))
	iconsFontAwesome.put("fa fa-stack-exchange", Chr(0xf18d))
	iconsFontAwesome.put("fa fa-arrow-circle-o-right", Chr(0xf18e))
	iconsFontAwesome.put("fa fa-arrow-circle-o-left", Chr(0xf190))
	iconsFontAwesome.put("fa fa-caret-square-o-left", Chr(0xf191))
	iconsFontAwesome.put("fa fa-dot-circle-o", Chr(0xf192))
	iconsFontAwesome.put("fa fa-wheelchair", Chr(0xf193))
	iconsFontAwesome.put("fa fa-vimeo-square", Chr(0xf194))
	iconsFontAwesome.put("fa fa-try", Chr(0xf195))
	iconsFontAwesome.put("fa fa-plus-square-o", Chr(0xf196))
	iconsFontAwesome.put("fa fa-space-shuttle", Chr(0xf197))
	iconsFontAwesome.put("fa fa-slack", Chr(0xf198))
	iconsFontAwesome.put("fa fa-envelope-square", Chr(0xf199))
	iconsFontAwesome.put("fa fa-wordpress", Chr(0xf19a))
	iconsFontAwesome.put("fa fa-openid", Chr(0xf19b))
	iconsFontAwesome.put("fa fa-university", Chr(0xf19c))
	iconsFontAwesome.put("fa fa-graduation-cap", Chr(0xf19d))
	iconsFontAwesome.put("fa fa-yahoo", Chr(0xf19e))
	iconsFontAwesome.put("fa fa-google", Chr(0xf1a0))
	iconsFontAwesome.put("fa fa-reddit", Chr(0xf1a1))
	iconsFontAwesome.put("fa fa-reddit-square", Chr(0xf1a2))
	iconsFontAwesome.put("fa fa-stumbleupon-circle", Chr(0xf1a3))
	iconsFontAwesome.put("fa fa-stumbleupon", Chr(0xf1a4))
	iconsFontAwesome.put("fa fa-delicious", Chr(0xf1a5))
	iconsFontAwesome.put("fa fa-digg", Chr(0xf1a6))
	iconsFontAwesome.put("fa fa-pied-piper-pp", Chr(0xf1a7))
	iconsFontAwesome.put("fa fa-pied-piper-alt", Chr(0xf1a8))
	iconsFontAwesome.put("fa fa-drupal", Chr(0xf1a9))
	iconsFontAwesome.put("fa fa-joomla", Chr(0xf1aa))
	iconsFontAwesome.put("fa fa-language", Chr(0xf1ab))
	iconsFontAwesome.put("fa fa-fax", Chr(0xf1ac))
	iconsFontAwesome.put("fa fa-building", Chr(0xf1ad))
	iconsFontAwesome.put("fa fa-child", Chr(0xf1ae))
	iconsFontAwesome.put("fa fa-paw", Chr(0xf1b0))
	iconsFontAwesome.put("fa fa-spoon", Chr(0xf1b1))
	iconsFontAwesome.put("fa fa-cube", Chr(0xf1b2))
	iconsFontAwesome.put("fa fa-cubes", Chr(0xf1b3))
	iconsFontAwesome.put("fa fa-behance", Chr(0xf1b4))
	iconsFontAwesome.put("fa fa-behance-square", Chr(0xf1b5))
	iconsFontAwesome.put("fa fa-steam", Chr(0xf1b6))
	iconsFontAwesome.put("fa fa-steam-square", Chr(0xf1b7))
	iconsFontAwesome.put("fa fa-recycle", Chr(0xf1b8))
	iconsFontAwesome.put("fa fa-car", Chr(0xf1b9))
	iconsFontAwesome.put("fa fa-taxi", Chr(0xf1ba))
	iconsFontAwesome.put("fa fa-tree", Chr(0xf1bb))
	iconsFontAwesome.put("fa fa-spotify", Chr(0xf1bc))
	iconsFontAwesome.put("fa fa-deviantart", Chr(0xf1bd))
	iconsFontAwesome.put("fa fa-soundcloud", Chr(0xf1be))
	iconsFontAwesome.put("fa fa-database", Chr(0xf1c0))
	iconsFontAwesome.put("fa fa-file-pdf-o", Chr(0xf1c1))
	iconsFontAwesome.put("fa fa-file-word-o", Chr(0xf1c2))
	iconsFontAwesome.put("fa fa-file-excel-o", Chr(0xf1c3))
	iconsFontAwesome.put("fa fa-file-powerpoint-o", Chr(0xf1c4))
	iconsFontAwesome.put("fa fa-file-image-o", Chr(0xf1c5))
	iconsFontAwesome.put("fa fa-file-archive-o", Chr(0xf1c6))
	iconsFontAwesome.put("fa fa-file-audio-o", Chr(0xf1c7))
	iconsFontAwesome.put("fa fa-file-video-o", Chr(0xf1c8))
	iconsFontAwesome.put("fa fa-file-code-o", Chr(0xf1c9))
	iconsFontAwesome.put("fa fa-vine", Chr(0xf1ca))
	iconsFontAwesome.put("fa fa-codepen", Chr(0xf1cb))
	iconsFontAwesome.put("fa fa-jsfiddle", Chr(0xf1cc))
	iconsFontAwesome.put("fa fa-life-ring", Chr(0xf1cd))
	iconsFontAwesome.put("fa fa-circle-o-notch", Chr(0xf1ce))
	iconsFontAwesome.put("fa fa-rebel", Chr(0xf1d0))
	iconsFontAwesome.put("fa fa-empire", Chr(0xf1d1))
	iconsFontAwesome.put("fa fa-git-square", Chr(0xf1d2))
	iconsFontAwesome.put("fa fa-git", Chr(0xf1d3))
	iconsFontAwesome.put("fa fa-hacker-news", Chr(0xf1d4))
	iconsFontAwesome.put("fa fa-tencent-weibo", Chr(0xf1d5))
	iconsFontAwesome.put("fa fa-qq", Chr(0xf1d6))
	iconsFontAwesome.put("fa fa-weixin", Chr(0xf1d7))
	iconsFontAwesome.put("fa fa-paper-plane", Chr(0xf1d8))
	iconsFontAwesome.put("fa fa-paper-plane-o", Chr(0xf1d9))
	iconsFontAwesome.put("fa fa-history", Chr(0xf1da))
	iconsFontAwesome.put("fa fa-circle-thin", Chr(0xf1db))
	iconsFontAwesome.put("fa fa-header", Chr(0xf1dc))
	iconsFontAwesome.put("fa fa-paragraph", Chr(0xf1dd))
	iconsFontAwesome.put("fa fa-sliders", Chr(0xf1de))
	iconsFontAwesome.put("fa fa-share-alt", Chr(0xf1e0))
	iconsFontAwesome.put("fa fa-share-alt-square", Chr(0xf1e1))
	iconsFontAwesome.put("fa fa-bomb", Chr(0xf1e2))
	iconsFontAwesome.put("fa fa-futbol-o", Chr(0xf1e3))
	iconsFontAwesome.put("fa fa-tty", Chr(0xf1e4))
	iconsFontAwesome.put("fa fa-binoculars", Chr(0xf1e5))
	iconsFontAwesome.put("fa fa-plug", Chr(0xf1e6))
	iconsFontAwesome.put("fa fa-slideshare", Chr(0xf1e7))
	iconsFontAwesome.put("fa fa-twitch", Chr(0xf1e8))
	iconsFontAwesome.put("fa fa-yelp", Chr(0xf1e9))
	iconsFontAwesome.put("fa fa-newspaper-o", Chr(0xf1ea))
	iconsFontAwesome.put("fa fa-wifi", Chr(0xf1eb))
	iconsFontAwesome.put("fa fa-calculator", Chr(0xf1ec))
	iconsFontAwesome.put("fa fa-paypal", Chr(0xf1ed))
	iconsFontAwesome.put("fa fa-google-wallet", Chr(0xf1ee))
	iconsFontAwesome.put("fa fa-cc-visa", Chr(0xf1f0))
	iconsFontAwesome.put("fa fa-cc-mastercard", Chr(0xf1f1))
	iconsFontAwesome.put("fa fa-cc-discover", Chr(0xf1f2))
	iconsFontAwesome.put("fa fa-cc-amex", Chr(0xf1f3))
	iconsFontAwesome.put("fa fa-cc-paypal", Chr(0xf1f4))
	iconsFontAwesome.put("fa fa-cc-stripe", Chr(0xf1f5))
	iconsFontAwesome.put("fa fa-bell-slash", Chr(0xf1f6))
	iconsFontAwesome.put("fa fa-bell-slash-o", Chr(0xf1f7))
	iconsFontAwesome.put("fa fa-trash", Chr(0xf1f8))
	iconsFontAwesome.put("fa fa-copyright", Chr(0xf1f9))
	iconsFontAwesome.put("fa fa-at", Chr(0xf1fa))
	iconsFontAwesome.put("fa fa-eyedropper", Chr(0xf1fb))
	iconsFontAwesome.put("fa fa-paint-brush", Chr(0xf1fc))
	iconsFontAwesome.put("fa fa-birthday-cake", Chr(0xf1fd))
	iconsFontAwesome.put("fa fa-area-chart", Chr(0xf1fe))
	iconsFontAwesome.put("fa fa-pie-chart", Chr(0xf200))
	iconsFontAwesome.put("fa fa-line-chart", Chr(0xf201))
	iconsFontAwesome.put("fa fa-lastfm", Chr(0xf202))
	iconsFontAwesome.put("fa fa-lastfm-square", Chr(0xf203))
	iconsFontAwesome.put("fa fa-toggle-off", Chr(0xf204))
	iconsFontAwesome.put("fa fa-toggle-on", Chr(0xf205))
	iconsFontAwesome.put("fa fa-bicycle", Chr(0xf206))
	iconsFontAwesome.put("fa fa-bus", Chr(0xf207))
	iconsFontAwesome.put("fa fa-ioxhost", Chr(0xf208))
	iconsFontAwesome.put("fa fa-angellist", Chr(0xf209))
	iconsFontAwesome.put("fa fa-cc", Chr(0xf20a))
	iconsFontAwesome.put("fa fa-ils", Chr(0xf20b))
	iconsFontAwesome.put("fa fa-meanpath", Chr(0xf20c))
	iconsFontAwesome.put("fa fa-buysellads", Chr(0xf20d))
	iconsFontAwesome.put("fa fa-connectdevelop", Chr(0xf20e))
	iconsFontAwesome.put("fa fa-dashcube", Chr(0xf210))
	iconsFontAwesome.put("fa fa-forumbee", Chr(0xf211))
	iconsFontAwesome.put("fa fa-leanpub", Chr(0xf212))
	iconsFontAwesome.put("fa fa-sellsy", Chr(0xf213))
	iconsFontAwesome.put("fa fa-shirtsinbulk", Chr(0xf214))
	iconsFontAwesome.put("fa fa-simplybuilt", Chr(0xf215))
	iconsFontAwesome.put("fa fa-skyatlas", Chr(0xf216))
	iconsFontAwesome.put("fa fa-cart-plus", Chr(0xf217))
	iconsFontAwesome.put("fa fa-cart-arrow-down", Chr(0xf218))
	iconsFontAwesome.put("fa fa-diamond", Chr(0xf219))
	iconsFontAwesome.put("fa fa-ship", Chr(0xf21a))
	iconsFontAwesome.put("fa fa-user-secret", Chr(0xf21b))
	iconsFontAwesome.put("fa fa-motorcycle", Chr(0xf21c))
	iconsFontAwesome.put("fa fa-street-view", Chr(0xf21d))
	iconsFontAwesome.put("fa fa-heartbeat", Chr(0xf21e))
	iconsFontAwesome.put("fa fa-venus", Chr(0xf221))
	iconsFontAwesome.put("fa fa-mars", Chr(0xf222))
	iconsFontAwesome.put("fa fa-mercury", Chr(0xf223))
	iconsFontAwesome.put("fa fa-transgender", Chr(0xf224))
	iconsFontAwesome.put("fa fa-transgender-alt", Chr(0xf225))
	iconsFontAwesome.put("fa fa-venus-double", Chr(0xf226))
	iconsFontAwesome.put("fa fa-mars-double", Chr(0xf227))
	iconsFontAwesome.put("fa fa-venus-mars", Chr(0xf228))
	iconsFontAwesome.put("fa fa-mars-stroke", Chr(0xf229))
	iconsFontAwesome.put("fa fa-mars-stroke-v", Chr(0xf22a))
	iconsFontAwesome.put("fa fa-mars-stroke-h", Chr(0xf22b))
	iconsFontAwesome.put("fa fa-neuter", Chr(0xf22c))
	iconsFontAwesome.put("fa fa-genderless", Chr(0xf22d))
	iconsFontAwesome.put("fa fa-facebook-official", Chr(0xf230))
	iconsFontAwesome.put("fa fa-pinterest-p", Chr(0xf231))
	iconsFontAwesome.put("fa fa-whatsapp", Chr(0xf232))
	iconsFontAwesome.put("fa fa-server", Chr(0xf233))
	iconsFontAwesome.put("fa fa-user-plus", Chr(0xf234))
	iconsFontAwesome.put("fa fa-user-times", Chr(0xf235))
	iconsFontAwesome.put("fa fa-bed", Chr(0xf236))
	iconsFontAwesome.put("fa fa-viacoin", Chr(0xf237))
	iconsFontAwesome.put("fa fa-train", Chr(0xf238))
	iconsFontAwesome.put("fa fa-subway", Chr(0xf239))
	iconsFontAwesome.put("fa fa-medium", Chr(0xf23a))
	iconsFontAwesome.put("fa fa-y-combinator", Chr(0xf23b))
	iconsFontAwesome.put("fa fa-optin-monster", Chr(0xf23c))
	iconsFontAwesome.put("fa fa-opencart", Chr(0xf23d))
	iconsFontAwesome.put("fa fa-expeditedssl", Chr(0xf23e))
	iconsFontAwesome.put("fa fa-battery-full", Chr(0xf240))
	iconsFontAwesome.put("fa fa-battery-three-quarters", Chr(0xf241))
	iconsFontAwesome.put("fa fa-battery-half", Chr(0xf242))
	iconsFontAwesome.put("fa fa-battery-quarter", Chr(0xf243))
	iconsFontAwesome.put("fa fa-battery-empty", Chr(0xf244))
	iconsFontAwesome.put("fa fa-mouse-pointer", Chr(0xf245))
	iconsFontAwesome.put("fa fa-i-cursor", Chr(0xf246))
	iconsFontAwesome.put("fa fa-object-group", Chr(0xf247))
	iconsFontAwesome.put("fa fa-object-ungroup", Chr(0xf248))
	iconsFontAwesome.put("fa fa-sticky-note", Chr(0xf249))
	iconsFontAwesome.put("fa fa-sticky-note-o", Chr(0xf24a))
	iconsFontAwesome.put("fa fa-cc-jcb", Chr(0xf24b))
	iconsFontAwesome.put("fa fa-cc-diners-club", Chr(0xf24c))
	iconsFontAwesome.put("fa fa-clone", Chr(0xf24d))
	iconsFontAwesome.put("fa fa-balance-scale", Chr(0xf24e))
	iconsFontAwesome.put("fa fa-hourglass-o", Chr(0xf250))
	iconsFontAwesome.put("fa fa-hourglass-start", Chr(0xf251))
	iconsFontAwesome.put("fa fa-hourglass-half", Chr(0xf252))
	iconsFontAwesome.put("fa fa-hourglass-end", Chr(0xf253))
	iconsFontAwesome.put("fa fa-hourglass", Chr(0xf254))
	iconsFontAwesome.put("fa fa-hand-rock-o", Chr(0xf255))
	iconsFontAwesome.put("fa fa-hand-paper-o", Chr(0xf256))
	iconsFontAwesome.put("fa fa-hand-scissors-o", Chr(0xf257))
	iconsFontAwesome.put("fa fa-hand-lizard-o", Chr(0xf258))
	iconsFontAwesome.put("fa fa-hand-spock-o", Chr(0xf259))
	iconsFontAwesome.put("fa fa-hand-pointer-o", Chr(0xf25a))
	iconsFontAwesome.put("fa fa-hand-peace-o", Chr(0xf25b))
	iconsFontAwesome.put("fa fa-trademark", Chr(0xf25c))
	iconsFontAwesome.put("fa fa-registered", Chr(0xf25d))
	iconsFontAwesome.put("fa fa-creative-commons", Chr(0xf25e))
	iconsFontAwesome.put("fa fa-gg", Chr(0xf260))
	iconsFontAwesome.put("fa fa-gg-circle", Chr(0xf261))
	iconsFontAwesome.put("fa fa-tripadvisor", Chr(0xf262))
	iconsFontAwesome.put("fa fa-odnoklassniki", Chr(0xf263))
	iconsFontAwesome.put("fa fa-odnoklassniki-square", Chr(0xf264))
	iconsFontAwesome.put("fa fa-get-pocket", Chr(0xf265))
	iconsFontAwesome.put("fa fa-wikipedia-w", Chr(0xf266))
	iconsFontAwesome.put("fa fa-safari", Chr(0xf267))
	iconsFontAwesome.put("fa fa-chrome", Chr(0xf268))
	iconsFontAwesome.put("fa fa-firefox", Chr(0xf269))
	iconsFontAwesome.put("fa fa-opera", Chr(0xf26a))
	iconsFontAwesome.put("fa fa-internet-explorer", Chr(0xf26b))
	iconsFontAwesome.put("fa fa-television", Chr(0xf26c))
	iconsFontAwesome.put("fa fa-contao", Chr(0xf26d))
	iconsFontAwesome.put("fa fa-500px", Chr(0xf26e))
	iconsFontAwesome.put("fa fa-amazon", Chr(0xf270))
	iconsFontAwesome.put("fa fa-calendar-plus-o", Chr(0xf271))
	iconsFontAwesome.put("fa fa-calendar-minus-o", Chr(0xf272))
	iconsFontAwesome.put("fa fa-calendar-times-o", Chr(0xf273))
	iconsFontAwesome.put("fa fa-calendar-check-o", Chr(0xf274))
	iconsFontAwesome.put("fa fa-industry", Chr(0xf275))
	iconsFontAwesome.put("fa fa-map-pin", Chr(0xf276))
	iconsFontAwesome.put("fa fa-map-signs", Chr(0xf277))
	iconsFontAwesome.put("fa fa-map-o", Chr(0xf278))
	iconsFontAwesome.put("fa fa-map", Chr(0xf279))
	iconsFontAwesome.put("fa fa-commenting", Chr(0xf27a))
	iconsFontAwesome.put("fa fa-commenting-o", Chr(0xf27b))
	iconsFontAwesome.put("fa fa-houzz", Chr(0xf27c))
	iconsFontAwesome.put("fa fa-vimeo", Chr(0xf27d))
	iconsFontAwesome.put("fa fa-black-tie", Chr(0xf27e))
	iconsFontAwesome.put("fa fa-fonticons", Chr(0xf280))
	iconsFontAwesome.put("fa fa-reddit-alien", Chr(0xf281))
	iconsFontAwesome.put("fa fa-edge", Chr(0xf282))
	iconsFontAwesome.put("fa fa-credit-card-alt", Chr(0xf283))
	iconsFontAwesome.put("fa fa-codiepie", Chr(0xf284))
	iconsFontAwesome.put("fa fa-modx", Chr(0xf285))
	iconsFontAwesome.put("fa fa-fort-awesome", Chr(0xf286))
	iconsFontAwesome.put("fa fa-usb", Chr(0xf287))
	iconsFontAwesome.put("fa fa-product-hunt", Chr(0xf288))
	iconsFontAwesome.put("fa fa-mixcloud", Chr(0xf289))
	iconsFontAwesome.put("fa fa-scribd", Chr(0xf28a))
	iconsFontAwesome.put("fa fa-pause-circle", Chr(0xf28b))
	iconsFontAwesome.put("fa fa-pause-circle-o", Chr(0xf28c))
	iconsFontAwesome.put("fa fa-stop-circle", Chr(0xf28d))
	iconsFontAwesome.put("fa fa-stop-circle-o", Chr(0xf28e))
	iconsFontAwesome.put("fa fa-shopping-bag", Chr(0xf290))
	iconsFontAwesome.put("fa fa-shopping-basket", Chr(0xf291))
	iconsFontAwesome.put("fa fa-hashtag", Chr(0xf292))
	iconsFontAwesome.put("fa fa-bluetooth", Chr(0xf293))
	iconsFontAwesome.put("fa fa-bluetooth-b", Chr(0xf294))
	iconsFontAwesome.put("fa fa-percent", Chr(0xf295))
	iconsFontAwesome.put("fa fa-gitlab", Chr(0xf296))
	iconsFontAwesome.put("fa fa-wpbeginner", Chr(0xf297))
	iconsFontAwesome.put("fa fa-wpforms", Chr(0xf298))
	iconsFontAwesome.put("fa fa-envira", Chr(0xf299))
	iconsFontAwesome.put("fa fa-universal-access", Chr(0xf29a))
	iconsFontAwesome.put("fa fa-wheelchair-alt", Chr(0xf29b))
	iconsFontAwesome.put("fa fa-question-circle-o", Chr(0xf29c))
	iconsFontAwesome.put("fa fa-blind", Chr(0xf29d))
	iconsFontAwesome.put("fa fa-audio-description", Chr(0xf29e))
	iconsFontAwesome.put("fa fa-volume-control-phone", Chr(0xf2a0))
	iconsFontAwesome.put("fa fa-braille", Chr(0xf2a1))
	iconsFontAwesome.put("fa fa-assistive-listening-systems", Chr(0xf2a2))
	iconsFontAwesome.put("fa fa-asl-interpreting", Chr(0xf2a3))
	iconsFontAwesome.put("fa fa-deaf", Chr(0xf2a4))
	iconsFontAwesome.put("fa fa-glide", Chr(0xf2a5))
	iconsFontAwesome.put("fa fa-glide-g", Chr(0xf2a6))
	iconsFontAwesome.put("fa fa-sign-language", Chr(0xf2a7))
	iconsFontAwesome.put("fa fa-low-vision", Chr(0xf2a8))
	iconsFontAwesome.put("fa fa-viadeo", Chr(0xf2a9))
	iconsFontAwesome.put("fa fa-viadeo-square", Chr(0xf2aa))
	iconsFontAwesome.put("fa fa-snapchat", Chr(0xf2ab))
	iconsFontAwesome.put("fa fa-snapchat-ghost", Chr(0xf2ac))
	iconsFontAwesome.put("fa fa-snapchat-square", Chr(0xf2ad))
	iconsFontAwesome.put("fa fa-pied-piper", Chr(0xf2ae))
	iconsFontAwesome.put("fa fa-first-order", Chr(0xf2b0))
	iconsFontAwesome.put("fa fa-yoast", Chr(0xf2b1))
	iconsFontAwesome.put("fa fa-themeisle", Chr(0xf2b2))
	iconsFontAwesome.put("fa fa-google-plus-official", Chr(0xf2b3))
End Sub

private Sub LoadIconsGoo
	iconsGoogle.Initialize
	iconsGoogle.put("3d_rotation", Chr(0xe84d))
	iconsGoogle.put("ac_unit", Chr(0xeb3b))
	iconsGoogle.put("access_alarm", Chr(0xe190))
	iconsGoogle.put("access_alarms", Chr(0xe191))
	iconsGoogle.put("access_time", Chr(0xe192))
	iconsGoogle.put("accessibility", Chr(0xe84e))
	iconsGoogle.put("accessible", Chr(0xe914))
	iconsGoogle.put("account_balance", Chr(0xe84f))
	iconsGoogle.put("account_balance_wallet", Chr(0xe850))
	iconsGoogle.put("account_box", Chr(0xe851))
	iconsGoogle.put("account_circle", Chr(0xe853))
	iconsGoogle.put("adb", Chr(0xe60e))
	iconsGoogle.put("add", Chr(0xe145))
	iconsGoogle.put("add_a_photo", Chr(0xe439))
	iconsGoogle.put("add_alarm", Chr(0xe193))
	iconsGoogle.put("add_alert", Chr(0xe003))
	iconsGoogle.put("add_box", Chr(0xe146))
	iconsGoogle.put("add_circle", Chr(0xe147))
	iconsGoogle.put("add_circle_outline", Chr(0xe148))
	iconsGoogle.put("add_location", Chr(0xe567))
	iconsGoogle.put("add_shopping_cart", Chr(0xe854))
	iconsGoogle.put("add_to_photos", Chr(0xe39d))
	iconsGoogle.put("add_to_queue", Chr(0xe05c))
	iconsGoogle.put("adjust", Chr(0xe39e))
	iconsGoogle.put("airline_seat_flat", Chr(0xe630))
	iconsGoogle.put("airline_seat_flat_angled", Chr(0xe631))
	iconsGoogle.put("airline_seat_individual_suite", Chr(0xe632))
	iconsGoogle.put("airline_seat_legroom_extra", Chr(0xe633))
	iconsGoogle.put("airline_seat_legroom_normal", Chr(0xe634))
	iconsGoogle.put("airline_seat_legroom_reduced", Chr(0xe635))
	iconsGoogle.put("airline_seat_recline_extra", Chr(0xe636))
	iconsGoogle.put("airline_seat_recline_normal", Chr(0xe637))
	iconsGoogle.put("airplanemode_active", Chr(0xe195))
	iconsGoogle.put("airplanemode_inactive", Chr(0xe194))
	iconsGoogle.put("airplay", Chr(0xe055))
	iconsGoogle.put("airport_shuttle", Chr(0xeb3c))
	iconsGoogle.put("alarm", Chr(0xe855))
	iconsGoogle.put("alarm_add", Chr(0xe856))
	iconsGoogle.put("alarm_off", Chr(0xe857))
	iconsGoogle.put("alarm_on", Chr(0xe858))
	iconsGoogle.put("album", Chr(0xe019))
	iconsGoogle.put("all_inclusive", Chr(0xeb3d))
	iconsGoogle.put("all_out", Chr(0xe90b))
	iconsGoogle.put("android", Chr(0xe859))
	iconsGoogle.put("announcement", Chr(0xe85a))
	iconsGoogle.put("apps", Chr(0xe5c3))
	iconsGoogle.put("archive", Chr(0xe149))
	iconsGoogle.put("arrow_back", Chr(0xe5c4))
	iconsGoogle.put("arrow_downward", Chr(0xe5db))
	iconsGoogle.put("arrow_drop_down", Chr(0xe5c5))
	iconsGoogle.put("arrow_drop_down_circle", Chr(0xe5c6))
	iconsGoogle.put("arrow_drop_up", Chr(0xe5c7))
	iconsGoogle.put("arrow_forward", Chr(0xe5c8))
	iconsGoogle.put("arrow_upward", Chr(0xe5d8))
	iconsGoogle.put("art_track", Chr(0xe060))
	iconsGoogle.put("aspect_ratio", Chr(0xe85b))
	iconsGoogle.put("assessment", Chr(0xe85c))
	iconsGoogle.put("assignment", Chr(0xe85d))
	iconsGoogle.put("assignment_ind", Chr(0xe85e))
	iconsGoogle.put("assignment_late", Chr(0xe85f))
	iconsGoogle.put("assignment_return", Chr(0xe860))
	iconsGoogle.put("assignment_returned", Chr(0xe861))
	iconsGoogle.put("assignment_turned_in", Chr(0xe862))
	iconsGoogle.put("assistant", Chr(0xe39f))
	iconsGoogle.put("assistant_photo", Chr(0xe3a0))
	iconsGoogle.put("attach_file", Chr(0xe226))
	iconsGoogle.put("attach_money", Chr(0xe227))
	iconsGoogle.put("attachment", Chr(0xe2bc))
	iconsGoogle.put("audiotrack", Chr(0xe3a1))
	iconsGoogle.put("autorenew", Chr(0xe863))
	iconsGoogle.put("av_timer", Chr(0xe01b))
	iconsGoogle.put("backspace", Chr(0xe14a))
	iconsGoogle.put("backup", Chr(0xe864))
	iconsGoogle.put("battery_alert", Chr(0xe19c))
	iconsGoogle.put("battery_charging_full", Chr(0xe1a3))
	iconsGoogle.put("battery_full", Chr(0xe1a4))
	iconsGoogle.put("battery_std", Chr(0xe1a5))
	iconsGoogle.put("battery_unknown", Chr(0xe1a6))
	iconsGoogle.put("beach_access", Chr(0xeb3e))
	iconsGoogle.put("beenhere", Chr(0xe52d))
	iconsGoogle.put("block", Chr(0xe14b))
	iconsGoogle.put("bluetooth", Chr(0xe1a7))
	iconsGoogle.put("bluetooth_audio", Chr(0xe60f))
	iconsGoogle.put("bluetooth_connected", Chr(0xe1a8))
	iconsGoogle.put("bluetooth_disabled", Chr(0xe1a9))
	iconsGoogle.put("bluetooth_searching", Chr(0xe1aa))
	iconsGoogle.put("blur_circular", Chr(0xe3a2))
	iconsGoogle.put("blur_linear", Chr(0xe3a3))
	iconsGoogle.put("blur_off", Chr(0xe3a4))
	iconsGoogle.put("blur_on", Chr(0xe3a5))
	iconsGoogle.put("book", Chr(0xe865))
	iconsGoogle.put("bookmark", Chr(0xe866))
	iconsGoogle.put("bookmark_border", Chr(0xe867))
	iconsGoogle.put("border_all", Chr(0xe228))
	iconsGoogle.put("border_bottom", Chr(0xe229))
	iconsGoogle.put("border_clear", Chr(0xe22a))
	iconsGoogle.put("border_color", Chr(0xe22b))
	iconsGoogle.put("border_horizontal", Chr(0xe22c))
	iconsGoogle.put("border_inner", Chr(0xe22d))
	iconsGoogle.put("border_left", Chr(0xe22e))
	iconsGoogle.put("border_outer", Chr(0xe22f))
	iconsGoogle.put("border_right", Chr(0xe230))
	iconsGoogle.put("border_style", Chr(0xe231))
	iconsGoogle.put("border_top", Chr(0xe232))
	iconsGoogle.put("border_vertical", Chr(0xe233))
	iconsGoogle.put("branding_watermark", Chr(0xe06b))
	iconsGoogle.put("brightness_1", Chr(0xe3a6))
	iconsGoogle.put("brightness_2", Chr(0xe3a7))
	iconsGoogle.put("brightness_3", Chr(0xe3a8))
	iconsGoogle.put("brightness_4", Chr(0xe3a9))
	iconsGoogle.put("brightness_5", Chr(0xe3aa))
	iconsGoogle.put("brightness_6", Chr(0xe3ab))
	iconsGoogle.put("brightness_7", Chr(0xe3ac))
	iconsGoogle.put("brightness_auto", Chr(0xe1ab))
	iconsGoogle.put("brightness_high", Chr(0xe1ac))
	iconsGoogle.put("brightness_low", Chr(0xe1ad))
	iconsGoogle.put("brightness_medium", Chr(0xe1ae))
	iconsGoogle.put("broken_image", Chr(0xe3ad))
	iconsGoogle.put("brush", Chr(0xe3ae))
	iconsGoogle.put("bubble_chart", Chr(0xe6dd))
	iconsGoogle.put("bug_report", Chr(0xe868))
	iconsGoogle.put("build", Chr(0xe869))
	iconsGoogle.put("burst_mode", Chr(0xe43c))
	iconsGoogle.put("business", Chr(0xe0af))
	iconsGoogle.put("business_center", Chr(0xeb3f))
	iconsGoogle.put("cached", Chr(0xe86a))
	iconsGoogle.put("cake", Chr(0xe7e9))
	iconsGoogle.put("call", Chr(0xe0b0))
	iconsGoogle.put("call_end", Chr(0xe0b1))
	iconsGoogle.put("call_made", Chr(0xe0b2))
	iconsGoogle.put("call_merge", Chr(0xe0b3))
	iconsGoogle.put("call_missed", Chr(0xe0b4))
	iconsGoogle.put("call_missed_outgoing", Chr(0xe0e4))
	iconsGoogle.put("call_received", Chr(0xe0b5))
	iconsGoogle.put("call_split", Chr(0xe0b6))
	iconsGoogle.put("call_to_action", Chr(0xe06c))
	iconsGoogle.put("camera", Chr(0xe3af))
	iconsGoogle.put("camera_alt", Chr(0xe3b0))
	iconsGoogle.put("camera_enhance", Chr(0xe8fc))
	iconsGoogle.put("camera_front", Chr(0xe3b1))
	iconsGoogle.put("camera_rear", Chr(0xe3b2))
	iconsGoogle.put("camera_roll", Chr(0xe3b3))
	iconsGoogle.put("cancel", Chr(0xe5c9))
	iconsGoogle.put("card_giftcard", Chr(0xe8f6))
	iconsGoogle.put("card_membership", Chr(0xe8f7))
	iconsGoogle.put("card_travel", Chr(0xe8f8))
	iconsGoogle.put("casino", Chr(0xeb40))
	iconsGoogle.put("cast", Chr(0xe307))
	iconsGoogle.put("cast_connected", Chr(0xe308))
	iconsGoogle.put("center_focus_strong", Chr(0xe3b4))
	iconsGoogle.put("center_focus_weak", Chr(0xe3b5))
	iconsGoogle.put("change_history", Chr(0xe86b))
	iconsGoogle.put("chat", Chr(0xe0b7))
	iconsGoogle.put("chat_bubble", Chr(0xe0ca))
	iconsGoogle.put("chat_bubble_outline", Chr(0xe0cb))
	iconsGoogle.put("check", Chr(0xe5ca))
	iconsGoogle.put("check_box", Chr(0xe834))
	iconsGoogle.put("check_box_outline_blank", Chr(0xe835))
	iconsGoogle.put("check_circle", Chr(0xe86c))
	iconsGoogle.put("chevron_left", Chr(0xe5cb))
	iconsGoogle.put("chevron_right", Chr(0xe5cc))
	iconsGoogle.put("child_care", Chr(0xeb41))
	iconsGoogle.put("child_friendly", Chr(0xeb42))
	iconsGoogle.put("chrome_reader_mode", Chr(0xe86d))
	iconsGoogle.put("class", Chr(0xe86e))
	iconsGoogle.put("clear", Chr(0xe14c))
	iconsGoogle.put("clear_all", Chr(0xe0b8))
	iconsGoogle.put("close", Chr(0xe5cd))
	iconsGoogle.put("closed_caption", Chr(0xe01c))
	iconsGoogle.put("cloud", Chr(0xe2bd))
	iconsGoogle.put("cloud_circle", Chr(0xe2be))
	iconsGoogle.put("cloud_done", Chr(0xe2bf))
	iconsGoogle.put("cloud_download", Chr(0xe2c0))
	iconsGoogle.put("cloud_off", Chr(0xe2c1))
	iconsGoogle.put("cloud_queue", Chr(0xe2c2))
	iconsGoogle.put("cloud_upload", Chr(0xe2c3))
	iconsGoogle.put("code", Chr(0xe86f))
	iconsGoogle.put("collections", Chr(0xe3b6))
	iconsGoogle.put("collections_bookmark", Chr(0xe431))
	iconsGoogle.put("color_lens", Chr(0xe3b7))
	iconsGoogle.put("colorize", Chr(0xe3b8))
	iconsGoogle.put("comment", Chr(0xe0b9))
	iconsGoogle.put("compare", Chr(0xe3b9))
	iconsGoogle.put("compare_arrows", Chr(0xe915))
	iconsGoogle.put("computer", Chr(0xe30a))
	iconsGoogle.put("confirmation_number", Chr(0xe638))
	iconsGoogle.put("contact_mail", Chr(0xe0d0))
	iconsGoogle.put("contact_phone", Chr(0xe0cf))
	iconsGoogle.put("contacts", Chr(0xe0ba))
	iconsGoogle.put("content_copy", Chr(0xe14d))
	iconsGoogle.put("content_cut", Chr(0xe14e))
	iconsGoogle.put("content_paste", Chr(0xe14f))
	iconsGoogle.put("control_point", Chr(0xe3ba))
	iconsGoogle.put("control_point_duplicate", Chr(0xe3bb))
	iconsGoogle.put("copyright", Chr(0xe90c))
	iconsGoogle.put("create", Chr(0xe150))
	iconsGoogle.put("create_new_folder", Chr(0xe2cc))
	iconsGoogle.put("credit_card", Chr(0xe870))
	iconsGoogle.put("crop", Chr(0xe3be))
	iconsGoogle.put("crop_16_9", Chr(0xe3bc))
	iconsGoogle.put("crop_3_2", Chr(0xe3bd))
	iconsGoogle.put("crop_5_4", Chr(0xe3bf))
	iconsGoogle.put("crop_7_5", Chr(0xe3c0))
	iconsGoogle.put("crop_din", Chr(0xe3c1))
	iconsGoogle.put("crop_free", Chr(0xe3c2))
	iconsGoogle.put("crop_landscape", Chr(0xe3c3))
	iconsGoogle.put("crop_original", Chr(0xe3c4))
	iconsGoogle.put("crop_portrait", Chr(0xe3c5))
	iconsGoogle.put("crop_rotate", Chr(0xe437))
	iconsGoogle.put("crop_square", Chr(0xe3c6))
	iconsGoogle.put("dashboard", Chr(0xe871))
	iconsGoogle.put("data_usage", Chr(0xe1af))
	iconsGoogle.put("date_range", Chr(0xe916))
	iconsGoogle.put("dehaze", Chr(0xe3c7))
	iconsGoogle.put("delete", Chr(0xe872))
	iconsGoogle.put("delete_forever", Chr(0xe92b))
	iconsGoogle.put("delete_sweep", Chr(0xe16c))
	iconsGoogle.put("description", Chr(0xe873))
	iconsGoogle.put("desktop_mac", Chr(0xe30b))
	iconsGoogle.put("desktop_windows", Chr(0xe30c))
	iconsGoogle.put("details", Chr(0xe3c8))
	iconsGoogle.put("developer_board", Chr(0xe30d))
	iconsGoogle.put("developer_mode", Chr(0xe1b0))
	iconsGoogle.put("device_hub", Chr(0xe335))
	iconsGoogle.put("devices", Chr(0xe1b1))
	iconsGoogle.put("devices_other", Chr(0xe337))
	iconsGoogle.put("dialer_sip", Chr(0xe0bb))
	iconsGoogle.put("dialpad", Chr(0xe0bc))
	iconsGoogle.put("directions", Chr(0xe52e))
	iconsGoogle.put("directions_bike", Chr(0xe52f))
	iconsGoogle.put("directions_boat", Chr(0xe532))
	iconsGoogle.put("directions_bus", Chr(0xe530))
	iconsGoogle.put("directions_car", Chr(0xe531))
	iconsGoogle.put("directions_railway", Chr(0xe534))
	iconsGoogle.put("directions_run", Chr(0xe566))
	iconsGoogle.put("directions_subway", Chr(0xe533))
	iconsGoogle.put("directions_transit", Chr(0xe535))
	iconsGoogle.put("directions_walk", Chr(0xe536))
	iconsGoogle.put("disc_full", Chr(0xe610))
	iconsGoogle.put("dns", Chr(0xe875))
	iconsGoogle.put("do_not_disturb", Chr(0xe612))
	iconsGoogle.put("do_not_disturb_alt", Chr(0xe611))
	iconsGoogle.put("do_not_disturb_off", Chr(0xe643))
	iconsGoogle.put("do_not_disturb_on", Chr(0xe644))
	iconsGoogle.put("dock", Chr(0xe30e))
	iconsGoogle.put("domain", Chr(0xe7ee))
	iconsGoogle.put("done", Chr(0xe876))
	iconsGoogle.put("done_all", Chr(0xe877))
	iconsGoogle.put("donut_large", Chr(0xe917))
	iconsGoogle.put("donut_small", Chr(0xe918))
	iconsGoogle.put("drafts", Chr(0xe151))
	iconsGoogle.put("drag_handle", Chr(0xe25d))
	iconsGoogle.put("drive_eta", Chr(0xe613))
	iconsGoogle.put("dvr", Chr(0xe1b2))
	iconsGoogle.put("edit", Chr(0xe3c9))
	iconsGoogle.put("edit_location", Chr(0xe568))
	iconsGoogle.put("eject", Chr(0xe8fb))
	iconsGoogle.put("email", Chr(0xe0be))
	iconsGoogle.put("enhanced_encryption", Chr(0xe63f))
	iconsGoogle.put("equalizer", Chr(0xe01d))
	iconsGoogle.put("error", Chr(0xe000))
	iconsGoogle.put("error_outline", Chr(0xe001))
	iconsGoogle.put("euro_symbol", Chr(0xe926))
	iconsGoogle.put("ev_station", Chr(0xe56d))
	iconsGoogle.put("event", Chr(0xe878))
	iconsGoogle.put("event_available", Chr(0xe614))
	iconsGoogle.put("event_busy", Chr(0xe615))
	iconsGoogle.put("event_note", Chr(0xe616))
	iconsGoogle.put("event_seat", Chr(0xe903))
	iconsGoogle.put("exit_to_app", Chr(0xe879))
	iconsGoogle.put("expand_less", Chr(0xe5ce))
	iconsGoogle.put("expand_more", Chr(0xe5cf))
	iconsGoogle.put("explicit", Chr(0xe01e))
	iconsGoogle.put("explore", Chr(0xe87a))
	iconsGoogle.put("exposure", Chr(0xe3ca))
	iconsGoogle.put("exposure_neg_1", Chr(0xe3cb))
	iconsGoogle.put("exposure_neg_2", Chr(0xe3cc))
	iconsGoogle.put("exposure_plus_1", Chr(0xe3cd))
	iconsGoogle.put("exposure_plus_2", Chr(0xe3ce))
	iconsGoogle.put("exposure_zero", Chr(0xe3cf))
	iconsGoogle.put("extension", Chr(0xe87b))
	iconsGoogle.put("face", Chr(0xe87c))
	iconsGoogle.put("fast_forward", Chr(0xe01f))
	iconsGoogle.put("fast_rewind", Chr(0xe020))
	iconsGoogle.put("favorite", Chr(0xe87d))
	iconsGoogle.put("favorite_border", Chr(0xe87e))
	iconsGoogle.put("featured_play_list", Chr(0xe06d))
	iconsGoogle.put("featured_video", Chr(0xe06e))
	iconsGoogle.put("feedback", Chr(0xe87f))
	iconsGoogle.put("fiber_dvr", Chr(0xe05d))
	iconsGoogle.put("fiber_manual_record", Chr(0xe061))
	iconsGoogle.put("fiber_new", Chr(0xe05e))
	iconsGoogle.put("fiber_pin", Chr(0xe06a))
	iconsGoogle.put("fiber_smart_record", Chr(0xe062))
	iconsGoogle.put("file_download", Chr(0xe2c4))
	iconsGoogle.put("file_upload", Chr(0xe2c6))
	iconsGoogle.put("filter", Chr(0xe3d3))
	iconsGoogle.put("filter_1", Chr(0xe3d0))
	iconsGoogle.put("filter_2", Chr(0xe3d1))
	iconsGoogle.put("filter_3", Chr(0xe3d2))
	iconsGoogle.put("filter_4", Chr(0xe3d4))
	iconsGoogle.put("filter_5", Chr(0xe3d5))
	iconsGoogle.put("filter_6", Chr(0xe3d6))
	iconsGoogle.put("filter_7", Chr(0xe3d7))
	iconsGoogle.put("filter_8", Chr(0xe3d8))
	iconsGoogle.put("filter_9", Chr(0xe3d9))
	iconsGoogle.put("filter_9_plus", Chr(0xe3da))
	iconsGoogle.put("filter_b_and_w", Chr(0xe3db))
	iconsGoogle.put("filter_center_focus", Chr(0xe3dc))
	iconsGoogle.put("filter_drama", Chr(0xe3dd))
	iconsGoogle.put("filter_frames", Chr(0xe3de))
	iconsGoogle.put("filter_hdr", Chr(0xe3df))
	iconsGoogle.put("filter_list", Chr(0xe152))
	iconsGoogle.put("filter_none", Chr(0xe3e0))
	iconsGoogle.put("filter_tilt_shift", Chr(0xe3e2))
	iconsGoogle.put("filter_vintage", Chr(0xe3e3))
	iconsGoogle.put("find_in_page", Chr(0xe880))
	iconsGoogle.put("find_replace", Chr(0xe881))
	iconsGoogle.put("fingerprint", Chr(0xe90d))
	iconsGoogle.put("first_page", Chr(0xe5dc))
	iconsGoogle.put("fitness_center", Chr(0xeb43))
	iconsGoogle.put("flag", Chr(0xe153))
	iconsGoogle.put("flare", Chr(0xe3e4))
	iconsGoogle.put("flash_auto", Chr(0xe3e5))
	iconsGoogle.put("flash_off", Chr(0xe3e6))
	iconsGoogle.put("flash_on", Chr(0xe3e7))
	iconsGoogle.put("flight", Chr(0xe539))
	iconsGoogle.put("flight_land", Chr(0xe904))
	iconsGoogle.put("flight_takeoff", Chr(0xe905))
	iconsGoogle.put("flip", Chr(0xe3e8))
	iconsGoogle.put("flip_to_back", Chr(0xe882))
	iconsGoogle.put("flip_to_front", Chr(0xe883))
	iconsGoogle.put("folder", Chr(0xe2c7))
	iconsGoogle.put("folder_open", Chr(0xe2c8))
	iconsGoogle.put("folder_shared", Chr(0xe2c9))
	iconsGoogle.put("folder_special", Chr(0xe617))
	iconsGoogle.put("font_download", Chr(0xe167))
	iconsGoogle.put("format_align_center", Chr(0xe234))
	iconsGoogle.put("format_align_justify", Chr(0xe235))
	iconsGoogle.put("format_align_left", Chr(0xe236))
	iconsGoogle.put("format_align_right", Chr(0xe237))
	iconsGoogle.put("format_bold", Chr(0xe238))
	iconsGoogle.put("format_clear", Chr(0xe239))
	iconsGoogle.put("format_color_fill", Chr(0xe23a))
	iconsGoogle.put("format_color_reset", Chr(0xe23b))
	iconsGoogle.put("format_color_text", Chr(0xe23c))
	iconsGoogle.put("format_indent_decrease", Chr(0xe23d))
	iconsGoogle.put("format_indent_increase", Chr(0xe23e))
	iconsGoogle.put("format_italic", Chr(0xe23f))
	iconsGoogle.put("format_line_spacing", Chr(0xe240))
	iconsGoogle.put("format_list_bulleted", Chr(0xe241))
	iconsGoogle.put("format_list_numbered", Chr(0xe242))
	iconsGoogle.put("format_paint", Chr(0xe243))
	iconsGoogle.put("format_quote", Chr(0xe244))
	iconsGoogle.put("format_shapes", Chr(0xe25e))
	iconsGoogle.put("format_size", Chr(0xe245))
	iconsGoogle.put("format_strikethrough", Chr(0xe246))
	iconsGoogle.put("format_textdirection_l_to_r", Chr(0xe247))
	iconsGoogle.put("format_textdirection_r_to_l", Chr(0xe248))
	iconsGoogle.put("format_underlined", Chr(0xe249))
	iconsGoogle.put("forum", Chr(0xe0bf))
	iconsGoogle.put("forward", Chr(0xe154))
	iconsGoogle.put("forward_10", Chr(0xe056))
	iconsGoogle.put("forward_30", Chr(0xe057))
	iconsGoogle.put("forward_5", Chr(0xe058))
	iconsGoogle.put("free_breakfast", Chr(0xeb44))
	iconsGoogle.put("fullscreen", Chr(0xe5d0))
	iconsGoogle.put("fullscreen_exit", Chr(0xe5d1))
	iconsGoogle.put("functions", Chr(0xe24a))
	iconsGoogle.put("g_translate", Chr(0xe927))
	iconsGoogle.put("gamepad", Chr(0xe30f))
	iconsGoogle.put("games", Chr(0xe021))
	iconsGoogle.put("gavel", Chr(0xe90e))
	iconsGoogle.put("gesture", Chr(0xe155))
	iconsGoogle.put("get_app", Chr(0xe884))
	iconsGoogle.put("gif", Chr(0xe908))
	iconsGoogle.put("golf_course", Chr(0xeb45))
	iconsGoogle.put("gps_fixed", Chr(0xe1b3))
	iconsGoogle.put("gps_not_fixed", Chr(0xe1b4))
	iconsGoogle.put("gps_off", Chr(0xe1b5))
	iconsGoogle.put("grade", Chr(0xe885))
	iconsGoogle.put("gradient", Chr(0xe3e9))
	iconsGoogle.put("grain", Chr(0xe3ea))
	iconsGoogle.put("graphic_eq", Chr(0xe1b8))
	iconsGoogle.put("grid_off", Chr(0xe3eb))
	iconsGoogle.put("grid_on", Chr(0xe3ec))
	iconsGoogle.put("group", Chr(0xe7ef))
	iconsGoogle.put("group_add", Chr(0xe7f0))
	iconsGoogle.put("group_work", Chr(0xe886))
	iconsGoogle.put("hd", Chr(0xe052))
	iconsGoogle.put("hdr_off", Chr(0xe3ed))
	iconsGoogle.put("hdr_on", Chr(0xe3ee))
	iconsGoogle.put("hdr_strong", Chr(0xe3f1))
	iconsGoogle.put("hdr_weak", Chr(0xe3f2))
	iconsGoogle.put("headset", Chr(0xe310))
	iconsGoogle.put("headset_mic", Chr(0xe311))
	iconsGoogle.put("healing", Chr(0xe3f3))
	iconsGoogle.put("hearing", Chr(0xe023))
	iconsGoogle.put("help", Chr(0xe887))
	iconsGoogle.put("help_outline", Chr(0xe8fd))
	iconsGoogle.put("high_quality", Chr(0xe024))
	iconsGoogle.put("highlight", Chr(0xe25f))
	iconsGoogle.put("highlight_off", Chr(0xe888))
	iconsGoogle.put("history", Chr(0xe889))
	iconsGoogle.put("home", Chr(0xe88a))
	iconsGoogle.put("hot_tub", Chr(0xeb46))
	iconsGoogle.put("hotel", Chr(0xe53a))
	iconsGoogle.put("hourglass_empty", Chr(0xe88b))
	iconsGoogle.put("hourglass_full", Chr(0xe88c))
	iconsGoogle.put("http", Chr(0xe902))
	iconsGoogle.put("https", Chr(0xe88d))
	iconsGoogle.put("image", Chr(0xe3f4))
	iconsGoogle.put("image_aspect_ratio", Chr(0xe3f5))
	iconsGoogle.put("import_contacts", Chr(0xe0e0))
	iconsGoogle.put("import_export", Chr(0xe0c3))
	iconsGoogle.put("important_devices", Chr(0xe912))
	iconsGoogle.put("inbox", Chr(0xe156))
	iconsGoogle.put("indeterminate_check_box", Chr(0xe909))
	iconsGoogle.put("info", Chr(0xe88e))
	iconsGoogle.put("info_outline", Chr(0xe88f))
	iconsGoogle.put("input", Chr(0xe890))
	iconsGoogle.put("insert_chart", Chr(0xe24b))
	iconsGoogle.put("insert_comment", Chr(0xe24c))
	iconsGoogle.put("insert_drive_file", Chr(0xe24d))
	iconsGoogle.put("insert_emoticon", Chr(0xe24e))
	iconsGoogle.put("insert_invitation", Chr(0xe24f))
	iconsGoogle.put("insert_link", Chr(0xe250))
	iconsGoogle.put("insert_photo", Chr(0xe251))
	iconsGoogle.put("invert_colors", Chr(0xe891))
	iconsGoogle.put("invert_colors_off", Chr(0xe0c4))
	iconsGoogle.put("iso", Chr(0xe3f6))
	iconsGoogle.put("keyboard", Chr(0xe312))
	iconsGoogle.put("keyboard_arrow_down", Chr(0xe313))
	iconsGoogle.put("keyboard_arrow_left", Chr(0xe314))
	iconsGoogle.put("keyboard_arrow_right", Chr(0xe315))
	iconsGoogle.put("keyboard_arrow_up", Chr(0xe316))
	iconsGoogle.put("keyboard_backspace", Chr(0xe317))
	iconsGoogle.put("keyboard_capslock", Chr(0xe318))
	iconsGoogle.put("keyboard_hide", Chr(0xe31a))
	iconsGoogle.put("keyboard_return", Chr(0xe31b))
	iconsGoogle.put("keyboard_tab", Chr(0xe31c))
	iconsGoogle.put("keyboard_voice", Chr(0xe31d))
	iconsGoogle.put("kitchen", Chr(0xeb47))
	iconsGoogle.put("label", Chr(0xe892))
	iconsGoogle.put("label_outline", Chr(0xe893))
	iconsGoogle.put("landscape", Chr(0xe3f7))
	iconsGoogle.put("language", Chr(0xe894))
	iconsGoogle.put("laptop", Chr(0xe31e))
	iconsGoogle.put("laptop_chromebook", Chr(0xe31f))
	iconsGoogle.put("laptop_mac", Chr(0xe320))
	iconsGoogle.put("laptop_windows", Chr(0xe321))
	iconsGoogle.put("last_page", Chr(0xe5dd))
	iconsGoogle.put("launch", Chr(0xe895))
	iconsGoogle.put("layers", Chr(0xe53b))
	iconsGoogle.put("layers_clear", Chr(0xe53c))
	iconsGoogle.put("leak_add", Chr(0xe3f8))
	iconsGoogle.put("leak_remove", Chr(0xe3f9))
	iconsGoogle.put("lens", Chr(0xe3fa))
	iconsGoogle.put("library_add", Chr(0xe02e))
	iconsGoogle.put("library_books", Chr(0xe02f))
	iconsGoogle.put("library_music", Chr(0xe030))
	iconsGoogle.put("lightbulb_outline", Chr(0xe90f))
	iconsGoogle.put("line_style", Chr(0xe919))
	iconsGoogle.put("line_weight", Chr(0xe91a))
	iconsGoogle.put("linear_scale", Chr(0xe260))
	iconsGoogle.put("link", Chr(0xe157))
	iconsGoogle.put("linked_camera", Chr(0xe438))
	iconsGoogle.put("list", Chr(0xe896))
	iconsGoogle.put("live_help", Chr(0xe0c6))
	iconsGoogle.put("live_tv", Chr(0xe639))
	iconsGoogle.put("local_activity", Chr(0xe53f))
	iconsGoogle.put("local_airport", Chr(0xe53d))
	iconsGoogle.put("local_atm", Chr(0xe53e))
	iconsGoogle.put("local_bar", Chr(0xe540))
	iconsGoogle.put("local_cafe", Chr(0xe541))
	iconsGoogle.put("local_car_wash", Chr(0xe542))
	iconsGoogle.put("local_convenience_store", Chr(0xe543))
	iconsGoogle.put("local_dining", Chr(0xe556))
	iconsGoogle.put("local_drink", Chr(0xe544))
	iconsGoogle.put("local_florist", Chr(0xe545))
	iconsGoogle.put("local_gas_station", Chr(0xe546))
	iconsGoogle.put("local_grocery_store", Chr(0xe547))
	iconsGoogle.put("local_hospital", Chr(0xe548))
	iconsGoogle.put("local_hotel", Chr(0xe549))
	iconsGoogle.put("local_laundry_service", Chr(0xe54a))
	iconsGoogle.put("local_library", Chr(0xe54b))
	iconsGoogle.put("local_mall", Chr(0xe54c))
	iconsGoogle.put("local_movies", Chr(0xe54d))
	iconsGoogle.put("local_offer", Chr(0xe54e))
	iconsGoogle.put("local_parking", Chr(0xe54f))
	iconsGoogle.put("local_pharmacy", Chr(0xe550))
	iconsGoogle.put("local_phone", Chr(0xe551))
	iconsGoogle.put("local_pizza", Chr(0xe552))
	iconsGoogle.put("local_play", Chr(0xe553))
	iconsGoogle.put("local_post_office", Chr(0xe554))
	iconsGoogle.put("local_printshop", Chr(0xe555))
	iconsGoogle.put("local_see", Chr(0xe557))
	iconsGoogle.put("local_shipping", Chr(0xe558))
	iconsGoogle.put("local_taxi", Chr(0xe559))
	iconsGoogle.put("location_city", Chr(0xe7f1))
	iconsGoogle.put("location_disabled", Chr(0xe1b6))
	iconsGoogle.put("location_off", Chr(0xe0c7))
	iconsGoogle.put("location_on", Chr(0xe0c8))
	iconsGoogle.put("location_searching", Chr(0xe1b7))
	iconsGoogle.put("lock", Chr(0xe897))
	iconsGoogle.put("lock_open", Chr(0xe898))
	iconsGoogle.put("lock_outline", Chr(0xe899))
	iconsGoogle.put("looks", Chr(0xe3fc))
	iconsGoogle.put("looks_3", Chr(0xe3fb))
	iconsGoogle.put("looks_4", Chr(0xe3fd))
	iconsGoogle.put("looks_5", Chr(0xe3fe))
	iconsGoogle.put("looks_6", Chr(0xe3ff))
	iconsGoogle.put("looks_one", Chr(0xe400))
	iconsGoogle.put("looks_two", Chr(0xe401))
	iconsGoogle.put("loop", Chr(0xe028))
	iconsGoogle.put("loupe", Chr(0xe402))
	iconsGoogle.put("low_priority", Chr(0xe16d))
	iconsGoogle.put("loyalty", Chr(0xe89a))
	iconsGoogle.put("mail", Chr(0xe158))
	iconsGoogle.put("mail_outline", Chr(0xe0e1))
	iconsGoogle.put("map", Chr(0xe55b))
	iconsGoogle.put("markunread", Chr(0xe159))
	iconsGoogle.put("markunread_mailbox", Chr(0xe89b))
	iconsGoogle.put("memory", Chr(0xe322))
	iconsGoogle.put("menu", Chr(0xe5d2))
	iconsGoogle.put("merge_type", Chr(0xe252))
	iconsGoogle.put("message", Chr(0xe0c9))
	iconsGoogle.put("mic", Chr(0xe029))
	iconsGoogle.put("mic_none", Chr(0xe02a))
	iconsGoogle.put("mic_off", Chr(0xe02b))
	iconsGoogle.put("mms", Chr(0xe618))
	iconsGoogle.put("mode_comment", Chr(0xe253))
	iconsGoogle.put("mode_edit", Chr(0xe254))
	iconsGoogle.put("monetization_on", Chr(0xe263))
	iconsGoogle.put("money_off", Chr(0xe25c))
	iconsGoogle.put("monochrome_photos", Chr(0xe403))
	iconsGoogle.put("mood", Chr(0xe7f2))
	iconsGoogle.put("mood_bad", Chr(0xe7f3))
	iconsGoogle.put("more", Chr(0xe619))
	iconsGoogle.put("more_horiz", Chr(0xe5d3))
	iconsGoogle.put("more_vert", Chr(0xe5d4))
	iconsGoogle.put("motorcycle", Chr(0xe91b))
	iconsGoogle.put("mouse", Chr(0xe323))
	iconsGoogle.put("move_to_inbox", Chr(0xe168))
	iconsGoogle.put("movie", Chr(0xe02c))
	iconsGoogle.put("movie_creation", Chr(0xe404))
	iconsGoogle.put("movie_filter", Chr(0xe43a))
	iconsGoogle.put("multiline_chart", Chr(0xe6df))
	iconsGoogle.put("music_note", Chr(0xe405))
	iconsGoogle.put("music_video", Chr(0xe063))
	iconsGoogle.put("my_location", Chr(0xe55c))
	iconsGoogle.put("nature", Chr(0xe406))
	iconsGoogle.put("nature_people", Chr(0xe407))
	iconsGoogle.put("navigate_before", Chr(0xe408))
	iconsGoogle.put("navigate_next", Chr(0xe409))
	iconsGoogle.put("navigation", Chr(0xe55d))
	iconsGoogle.put("near_me", Chr(0xe569))
	iconsGoogle.put("network_cell", Chr(0xe1b9))
	iconsGoogle.put("network_check", Chr(0xe640))
	iconsGoogle.put("network_locked", Chr(0xe61a))
	iconsGoogle.put("network_wifi", Chr(0xe1ba))
	iconsGoogle.put("new_releases", Chr(0xe031))
	iconsGoogle.put("next_week", Chr(0xe16a))
	iconsGoogle.put("nfc", Chr(0xe1bb))
	iconsGoogle.put("no_encryption", Chr(0xe641))
	iconsGoogle.put("no_sim", Chr(0xe0cc))
	iconsGoogle.put("not_interested", Chr(0xe033))
	iconsGoogle.put("note", Chr(0xe06f))
	iconsGoogle.put("note_add", Chr(0xe89c))
	iconsGoogle.put("notifications", Chr(0xe7f4))
	iconsGoogle.put("notifications_active", Chr(0xe7f7))
	iconsGoogle.put("notifications_none", Chr(0xe7f5))
	iconsGoogle.put("notifications_off", Chr(0xe7f6))
	iconsGoogle.put("notifications_paused", Chr(0xe7f8))
	iconsGoogle.put("offline_pin", Chr(0xe90a))
	iconsGoogle.put("ondemand_video", Chr(0xe63a))
	iconsGoogle.put("opacity", Chr(0xe91c))
	iconsGoogle.put("open_in_browser", Chr(0xe89d))
	iconsGoogle.put("open_in_new", Chr(0xe89e))
	iconsGoogle.put("open_with", Chr(0xe89f))
	iconsGoogle.put("pages", Chr(0xe7f9))
	iconsGoogle.put("pageview", Chr(0xe8a0))
	iconsGoogle.put("palette", Chr(0xe40a))
	iconsGoogle.put("pan_tool", Chr(0xe925))
	iconsGoogle.put("panorama", Chr(0xe40b))
	iconsGoogle.put("panorama_fish_eye", Chr(0xe40c))
	iconsGoogle.put("panorama_horizontal", Chr(0xe40d))
	iconsGoogle.put("panorama_vertical", Chr(0xe40e))
	iconsGoogle.put("panorama_wide_angle", Chr(0xe40f))
	iconsGoogle.put("party_mode", Chr(0xe7fa))
	iconsGoogle.put("pause", Chr(0xe034))
	iconsGoogle.put("pause_circle_filled", Chr(0xe035))
	iconsGoogle.put("pause_circle_outline", Chr(0xe036))
	iconsGoogle.put("payment", Chr(0xe8a1))
	iconsGoogle.put("people", Chr(0xe7fb))
	iconsGoogle.put("people_outline", Chr(0xe7fc))
	iconsGoogle.put("perm_camera_mic", Chr(0xe8a2))
	iconsGoogle.put("perm_contact_calendar", Chr(0xe8a3))
	iconsGoogle.put("perm_data_setting", Chr(0xe8a4))
	iconsGoogle.put("perm_device_information", Chr(0xe8a5))
	iconsGoogle.put("perm_identity", Chr(0xe8a6))
	iconsGoogle.put("perm_media", Chr(0xe8a7))
	iconsGoogle.put("perm_phone_msg", Chr(0xe8a8))
	iconsGoogle.put("perm_scan_wifi", Chr(0xe8a9))
	iconsGoogle.put("person", Chr(0xe7fd))
	iconsGoogle.put("person_add", Chr(0xe7fe))
	iconsGoogle.put("person_outline", Chr(0xe7ff))
	iconsGoogle.put("person_pin", Chr(0xe55a))
	iconsGoogle.put("person_pin_circle", Chr(0xe56a))
	iconsGoogle.put("personal_video", Chr(0xe63b))
	iconsGoogle.put("pets", Chr(0xe91d))
	iconsGoogle.put("phone", Chr(0xe0cd))
	iconsGoogle.put("phone_android", Chr(0xe324))
	iconsGoogle.put("phone_bluetooth_speaker", Chr(0xe61b))
	iconsGoogle.put("phone_forwarded", Chr(0xe61c))
	iconsGoogle.put("phone_in_talk", Chr(0xe61d))
	iconsGoogle.put("phone_iphone", Chr(0xe325))
	iconsGoogle.put("phone_locked", Chr(0xe61e))
	iconsGoogle.put("phone_missed", Chr(0xe61f))
	iconsGoogle.put("phone_paused", Chr(0xe620))
	iconsGoogle.put("phonelink", Chr(0xe326))
	iconsGoogle.put("phonelink_erase", Chr(0xe0db))
	iconsGoogle.put("phonelink_lock", Chr(0xe0dc))
	iconsGoogle.put("phonelink_off", Chr(0xe327))
	iconsGoogle.put("phonelink_ring", Chr(0xe0dd))
	iconsGoogle.put("phonelink_setup", Chr(0xe0de))
	iconsGoogle.put("photo", Chr(0xe410))
	iconsGoogle.put("photo_album", Chr(0xe411))
	iconsGoogle.put("photo_camera", Chr(0xe412))
	iconsGoogle.put("photo_filter", Chr(0xe43b))
	iconsGoogle.put("photo_library", Chr(0xe413))
	iconsGoogle.put("photo_size_select_actual", Chr(0xe432))
	iconsGoogle.put("photo_size_select_large", Chr(0xe433))
	iconsGoogle.put("photo_size_select_small", Chr(0xe434))
	iconsGoogle.put("picture_as_pdf", Chr(0xe415))
	iconsGoogle.put("picture_in_picture", Chr(0xe8aa))
	iconsGoogle.put("picture_in_picture_alt", Chr(0xe911))
	iconsGoogle.put("pie_chart", Chr(0xe6c4))
	iconsGoogle.put("pie_chart_outlined", Chr(0xe6c5))
	iconsGoogle.put("pin_drop", Chr(0xe55e))
	iconsGoogle.put("place", Chr(0xe55f))
	iconsGoogle.put("play_arrow", Chr(0xe037))
	iconsGoogle.put("play_circle_filled", Chr(0xe038))
	iconsGoogle.put("play_circle_outline", Chr(0xe039))
	iconsGoogle.put("play_for_work", Chr(0xe906))
	iconsGoogle.put("playlist_add", Chr(0xe03b))
	iconsGoogle.put("playlist_add_check", Chr(0xe065))
	iconsGoogle.put("playlist_play", Chr(0xe05f))
	iconsGoogle.put("plus_one", Chr(0xe800))
	iconsGoogle.put("poll", Chr(0xe801))
	iconsGoogle.put("polymer", Chr(0xe8ab))
	iconsGoogle.put("pool", Chr(0xeb48))
	iconsGoogle.put("portable_wifi_off", Chr(0xe0ce))
	iconsGoogle.put("portrait", Chr(0xe416))
	iconsGoogle.put("power", Chr(0xe63c))
	iconsGoogle.put("power_input", Chr(0xe336))
	iconsGoogle.put("power_settings_new", Chr(0xe8ac))
	iconsGoogle.put("pregnant_woman", Chr(0xe91e))
	iconsGoogle.put("present_to_all", Chr(0xe0df))
	iconsGoogle.put("print", Chr(0xe8ad))
	iconsGoogle.put("priority_high", Chr(0xe645))
	iconsGoogle.put("public", Chr(0xe80b))
	iconsGoogle.put("publish", Chr(0xe255))
	iconsGoogle.put("query_builder", Chr(0xe8ae))
	iconsGoogle.put("question_answer", Chr(0xe8af))
	iconsGoogle.put("queue", Chr(0xe03c))
	iconsGoogle.put("queue_music", Chr(0xe03d))
	iconsGoogle.put("queue_play_next", Chr(0xe066))
	iconsGoogle.put("radio", Chr(0xe03e))
	iconsGoogle.put("radio_button_checked", Chr(0xe837))
	iconsGoogle.put("radio_button_unchecked", Chr(0xe836))
	iconsGoogle.put("rate_review", Chr(0xe560))
	iconsGoogle.put("receipt", Chr(0xe8b0))
	iconsGoogle.put("recent_actors", Chr(0xe03f))
	iconsGoogle.put("record_voice_over", Chr(0xe91f))
	iconsGoogle.put("redeem", Chr(0xe8b1))
	iconsGoogle.put("redo", Chr(0xe15a))
	iconsGoogle.put("refresh", Chr(0xe5d5))
	iconsGoogle.put("remove", Chr(0xe15b))
	iconsGoogle.put("remove_circle", Chr(0xe15c))
	iconsGoogle.put("remove_circle_outline", Chr(0xe15d))
	iconsGoogle.put("remove_from_queue", Chr(0xe067))
	iconsGoogle.put("remove_red_eye", Chr(0xe417))
	iconsGoogle.put("remove_shopping_cart", Chr(0xe928))
	iconsGoogle.put("reorder", Chr(0xe8fe))
	iconsGoogle.put("repeat", Chr(0xe040))
	iconsGoogle.put("repeat_one", Chr(0xe041))
	iconsGoogle.put("replay", Chr(0xe042))
	iconsGoogle.put("replay_10", Chr(0xe059))
	iconsGoogle.put("replay_30", Chr(0xe05a))
	iconsGoogle.put("replay_5", Chr(0xe05b))
	iconsGoogle.put("reply", Chr(0xe15e))
	iconsGoogle.put("reply_all", Chr(0xe15f))
	iconsGoogle.put("report", Chr(0xe160))
	iconsGoogle.put("report_problem", Chr(0xe8b2))
	iconsGoogle.put("restaurant", Chr(0xe56c))
	iconsGoogle.put("restaurant_menu", Chr(0xe561))
	iconsGoogle.put("restore", Chr(0xe8b3))
	iconsGoogle.put("restore_page", Chr(0xe929))
	iconsGoogle.put("ring_volume", Chr(0xe0d1))
	iconsGoogle.put("room", Chr(0xe8b4))
	iconsGoogle.put("room_service", Chr(0xeb49))
	iconsGoogle.put("rotate_90_degrees_ccw", Chr(0xe418))
	iconsGoogle.put("rotate_left", Chr(0xe419))
	iconsGoogle.put("rotate_right", Chr(0xe41a))
	iconsGoogle.put("rounded_corner", Chr(0xe920))
	iconsGoogle.put("router", Chr(0xe328))
	iconsGoogle.put("rowing", Chr(0xe921))
	iconsGoogle.put("rss_feed", Chr(0xe0e5))
	iconsGoogle.put("rv_hookup", Chr(0xe642))
	iconsGoogle.put("satellite", Chr(0xe562))
	iconsGoogle.put("save", Chr(0xe161))
	iconsGoogle.put("scanner", Chr(0xe329))
	iconsGoogle.put("schedule", Chr(0xe8b5))
	iconsGoogle.put("school", Chr(0xe80c))
	iconsGoogle.put("screen_lock_landscape", Chr(0xe1be))
	iconsGoogle.put("screen_lock_portrait", Chr(0xe1bf))
	iconsGoogle.put("screen_lock_rotation", Chr(0xe1c0))
	iconsGoogle.put("screen_rotation", Chr(0xe1c1))
	iconsGoogle.put("screen_share", Chr(0xe0e2))
	iconsGoogle.put("sd_card", Chr(0xe623))
	iconsGoogle.put("sd_storage", Chr(0xe1c2))
	iconsGoogle.put("search", Chr(0xe8b6))
	iconsGoogle.put("security", Chr(0xe32a))
	iconsGoogle.put("select_all", Chr(0xe162))
	iconsGoogle.put("send", Chr(0xe163))
	iconsGoogle.put("sentiment_dissatisfied", Chr(0xe811))
	iconsGoogle.put("sentiment_neutral", Chr(0xe812))
	iconsGoogle.put("sentiment_satisfied", Chr(0xe813))
	iconsGoogle.put("sentiment_very_dissatisfied", Chr(0xe814))
	iconsGoogle.put("sentiment_very_satisfied", Chr(0xe815))
	iconsGoogle.put("settings", Chr(0xe8b8))
	iconsGoogle.put("settings_applications", Chr(0xe8b9))
	iconsGoogle.put("settings_backup_restore", Chr(0xe8ba))
	iconsGoogle.put("settings_bluetooth", Chr(0xe8bb))
	iconsGoogle.put("settings_brightness", Chr(0xe8bd))
	iconsGoogle.put("settings_cell", Chr(0xe8bc))
	iconsGoogle.put("settings_ethernet", Chr(0xe8be))
	iconsGoogle.put("settings_input_antenna", Chr(0xe8bf))
	iconsGoogle.put("settings_input_component", Chr(0xe8c0))
	iconsGoogle.put("settings_input_composite", Chr(0xe8c1))
	iconsGoogle.put("settings_input_hdmi", Chr(0xe8c2))
	iconsGoogle.put("settings_input_svideo", Chr(0xe8c3))
	iconsGoogle.put("settings_overscan", Chr(0xe8c4))
	iconsGoogle.put("settings_phone", Chr(0xe8c5))
	iconsGoogle.put("settings_power", Chr(0xe8c6))
	iconsGoogle.put("settings_remote", Chr(0xe8c7))
	iconsGoogle.put("settings_system_daydream", Chr(0xe1c3))
	iconsGoogle.put("settings_voice", Chr(0xe8c8))
	iconsGoogle.put("share", Chr(0xe80d))
	iconsGoogle.put("shop", Chr(0xe8c9))
	iconsGoogle.put("shop_two", Chr(0xe8ca))
	iconsGoogle.put("shopping_basket", Chr(0xe8cb))
	iconsGoogle.put("shopping_cart", Chr(0xe8cc))
	iconsGoogle.put("short_text", Chr(0xe261))
	iconsGoogle.put("show_chart", Chr(0xe6e1))
	iconsGoogle.put("shuffle", Chr(0xe043))
	iconsGoogle.put("signal_cellular_4_bar", Chr(0xe1c8))
	iconsGoogle.put("signal_cellular_connected_no_internet_4_bar", Chr(0xe1cd))
	iconsGoogle.put("signal_cellular_no_sim", Chr(0xe1ce))
	iconsGoogle.put("signal_cellular_null", Chr(0xe1cf))
	iconsGoogle.put("signal_cellular_off", Chr(0xe1d0))
	iconsGoogle.put("signal_wifi_4_bar", Chr(0xe1d8))
	iconsGoogle.put("signal_wifi_4_bar_lock", Chr(0xe1d9))
	iconsGoogle.put("signal_wifi_off", Chr(0xe1da))
	iconsGoogle.put("sim_card", Chr(0xe32b))
	iconsGoogle.put("sim_card_alert", Chr(0xe624))
	iconsGoogle.put("skip_next", Chr(0xe044))
	iconsGoogle.put("skip_previous", Chr(0xe045))
	iconsGoogle.put("slideshow", Chr(0xe41b))
	iconsGoogle.put("slow_motion_video", Chr(0xe068))
	iconsGoogle.put("smartphone", Chr(0xe32c))
	iconsGoogle.put("smoke_free", Chr(0xeb4a))
	iconsGoogle.put("smoking_rooms", Chr(0xeb4b))
	iconsGoogle.put("sms", Chr(0xe625))
	iconsGoogle.put("sms_failed", Chr(0xe626))
	iconsGoogle.put("snooze", Chr(0xe046))
	iconsGoogle.put("sort", Chr(0xe164))
	iconsGoogle.put("sort_by_alpha", Chr(0xe053))
	iconsGoogle.put("spa", Chr(0xeb4c))
	iconsGoogle.put("space_bar", Chr(0xe256))
	iconsGoogle.put("speaker", Chr(0xe32d))
	iconsGoogle.put("speaker_group", Chr(0xe32e))
	iconsGoogle.put("speaker_notes", Chr(0xe8cd))
	iconsGoogle.put("speaker_notes_off", Chr(0xe92a))
	iconsGoogle.put("speaker_phone", Chr(0xe0d2))
	iconsGoogle.put("spellcheck", Chr(0xe8ce))
	iconsGoogle.put("star", Chr(0xe838))
	iconsGoogle.put("star_border", Chr(0xe83a))
	iconsGoogle.put("star_half", Chr(0xe839))
	iconsGoogle.put("stars", Chr(0xe8d0))
	iconsGoogle.put("stay_current_landscape", Chr(0xe0d3))
	iconsGoogle.put("stay_current_portrait", Chr(0xe0d4))
	iconsGoogle.put("stay_primary_landscape", Chr(0xe0d5))
	iconsGoogle.put("stay_primary_portrait", Chr(0xe0d6))
	iconsGoogle.put("stop", Chr(0xe047))
	iconsGoogle.put("stop_screen_share", Chr(0xe0e3))
	iconsGoogle.put("storage", Chr(0xe1db))
	iconsGoogle.put("store", Chr(0xe8d1))
	iconsGoogle.put("store_mall_directory", Chr(0xe563))
	iconsGoogle.put("straighten", Chr(0xe41c))
	iconsGoogle.put("streetview", Chr(0xe56e))
	iconsGoogle.put("strikethrough_s", Chr(0xe257))
	iconsGoogle.put("style", Chr(0xe41d))
	iconsGoogle.put("subdirectory_arrow_left", Chr(0xe5d9))
	iconsGoogle.put("subdirectory_arrow_right", Chr(0xe5da))
	iconsGoogle.put("subject", Chr(0xe8d2))
	iconsGoogle.put("subscriptions", Chr(0xe064))
	iconsGoogle.put("subtitles", Chr(0xe048))
	iconsGoogle.put("subway", Chr(0xe56f))
	iconsGoogle.put("supervisor_account", Chr(0xe8d3))
	iconsGoogle.put("surround_sound", Chr(0xe049))
	iconsGoogle.put("swap_calls", Chr(0xe0d7))
	iconsGoogle.put("swap_horiz", Chr(0xe8d4))
	iconsGoogle.put("swap_vert", Chr(0xe8d5))
	iconsGoogle.put("swap_vertical_circle", Chr(0xe8d6))
	iconsGoogle.put("switch_camera", Chr(0xe41e))
	iconsGoogle.put("switch_video", Chr(0xe41f))
	iconsGoogle.put("sync", Chr(0xe627))
	iconsGoogle.put("sync_disabled", Chr(0xe628))
	iconsGoogle.put("sync_problem", Chr(0xe629))
	iconsGoogle.put("system_update", Chr(0xe62a))
	iconsGoogle.put("system_update_alt", Chr(0xe8d7))
	iconsGoogle.put("tab", Chr(0xe8d8))
	iconsGoogle.put("tab_unselected", Chr(0xe8d9))
	iconsGoogle.put("tablet", Chr(0xe32f))
	iconsGoogle.put("tablet_android", Chr(0xe330))
	iconsGoogle.put("tablet_mac", Chr(0xe331))
	iconsGoogle.put("tag_faces", Chr(0xe420))
	iconsGoogle.put("tap_and_play", Chr(0xe62b))
	iconsGoogle.put("terrain", Chr(0xe564))
	iconsGoogle.put("text_fields", Chr(0xe262))
	iconsGoogle.put("text_format", Chr(0xe165))
	iconsGoogle.put("textsms", Chr(0xe0d8))
	iconsGoogle.put("texture", Chr(0xe421))
	iconsGoogle.put("theaters", Chr(0xe8da))
	iconsGoogle.put("thumb_down", Chr(0xe8db))
	iconsGoogle.put("thumb_up", Chr(0xe8dc))
	iconsGoogle.put("thumbs_up_down", Chr(0xe8dd))
	iconsGoogle.put("time_to_leave", Chr(0xe62c))
	iconsGoogle.put("timelapse", Chr(0xe422))
	iconsGoogle.put("timeline", Chr(0xe922))
	iconsGoogle.put("timer", Chr(0xe425))
	iconsGoogle.put("timer_10", Chr(0xe423))
	iconsGoogle.put("timer_3", Chr(0xe424))
	iconsGoogle.put("timer_off", Chr(0xe426))
	iconsGoogle.put("title", Chr(0xe264))
	iconsGoogle.put("toc", Chr(0xe8de))
	iconsGoogle.put("today", Chr(0xe8df))
	iconsGoogle.put("toll", Chr(0xe8e0))
	iconsGoogle.put("tonality", Chr(0xe427))
	iconsGoogle.put("touch_app", Chr(0xe913))
	iconsGoogle.put("toys", Chr(0xe332))
	iconsGoogle.put("track_changes", Chr(0xe8e1))
	iconsGoogle.put("traffic", Chr(0xe565))
	iconsGoogle.put("train", Chr(0xe570))
	iconsGoogle.put("tram", Chr(0xe571))
	iconsGoogle.put("transfer_within_a_station", Chr(0xe572))
	iconsGoogle.put("transform", Chr(0xe428))
	iconsGoogle.put("translate", Chr(0xe8e2))
	iconsGoogle.put("trending_down", Chr(0xe8e3))
	iconsGoogle.put("trending_flat", Chr(0xe8e4))
	iconsGoogle.put("trending_up", Chr(0xe8e5))
	iconsGoogle.put("tune", Chr(0xe429))
	iconsGoogle.put("turned_in", Chr(0xe8e6))
	iconsGoogle.put("turned_in_not", Chr(0xe8e7))
	iconsGoogle.put("tv", Chr(0xe333))
	iconsGoogle.put("unarchive", Chr(0xe169))
	iconsGoogle.put("undo", Chr(0xe166))
	iconsGoogle.put("unfold_less", Chr(0xe5d6))
	iconsGoogle.put("unfold_more", Chr(0xe5d7))
	iconsGoogle.put("update", Chr(0xe923))
	iconsGoogle.put("usb", Chr(0xe1e0))
	iconsGoogle.put("verified_user", Chr(0xe8e8))
	iconsGoogle.put("vertical_align_bottom", Chr(0xe258))
	iconsGoogle.put("vertical_align_center", Chr(0xe259))
	iconsGoogle.put("vertical_align_top", Chr(0xe25a))
	iconsGoogle.put("vibration", Chr(0xe62d))
	iconsGoogle.put("video_call", Chr(0xe070))
	iconsGoogle.put("video_label", Chr(0xe071))
	iconsGoogle.put("video_library", Chr(0xe04a))
	iconsGoogle.put("videocam", Chr(0xe04b))
	iconsGoogle.put("videocam_off", Chr(0xe04c))
	iconsGoogle.put("videogame_asset", Chr(0xe338))
	iconsGoogle.put("view_agenda", Chr(0xe8e9))
	iconsGoogle.put("view_array", Chr(0xe8ea))
	iconsGoogle.put("view_carousel", Chr(0xe8eb))
	iconsGoogle.put("view_column", Chr(0xe8ec))
	iconsGoogle.put("view_comfy", Chr(0xe42a))
	iconsGoogle.put("view_compact", Chr(0xe42b))
	iconsGoogle.put("view_day", Chr(0xe8ed))
	iconsGoogle.put("view_headline", Chr(0xe8ee))
	iconsGoogle.put("view_list", Chr(0xe8ef))
	iconsGoogle.put("view_module", Chr(0xe8f0))
	iconsGoogle.put("view_quilt", Chr(0xe8f1))
	iconsGoogle.put("view_stream", Chr(0xe8f2))
	iconsGoogle.put("view_week", Chr(0xe8f3))
	iconsGoogle.put("vignette", Chr(0xe435))
	iconsGoogle.put("visibility", Chr(0xe8f4))
	iconsGoogle.put("visibility_off", Chr(0xe8f5))
	iconsGoogle.put("voice_chat", Chr(0xe62e))
	iconsGoogle.put("voicemail", Chr(0xe0d9))
	iconsGoogle.put("volume_down", Chr(0xe04d))
	iconsGoogle.put("volume_mute", Chr(0xe04e))
	iconsGoogle.put("volume_off", Chr(0xe04f))
	iconsGoogle.put("volume_up", Chr(0xe050))
	iconsGoogle.put("vpn_key", Chr(0xe0da))
	iconsGoogle.put("vpn_lock", Chr(0xe62f))
	iconsGoogle.put("wallpaper", Chr(0xe1bc))
	iconsGoogle.put("warning", Chr(0xe002))
	iconsGoogle.put("watch", Chr(0xe334))
	iconsGoogle.put("watch_later", Chr(0xe924))
	iconsGoogle.put("wb_auto", Chr(0xe42c))
	iconsGoogle.put("wb_cloudy", Chr(0xe42d))
	iconsGoogle.put("wb_incandescent", Chr(0xe42e))
	iconsGoogle.put("wb_iridescent", Chr(0xe436))
	iconsGoogle.put("wb_sunny", Chr(0xe430))
	iconsGoogle.put("wc", Chr(0xe63d))
	iconsGoogle.put("web", Chr(0xe051))
	iconsGoogle.put("web_asset", Chr(0xe069))
	iconsGoogle.put("weekend", Chr(0xe16b))
	iconsGoogle.put("whatshot", Chr(0xe80e))
	iconsGoogle.put("widgets", Chr(0xe1bd))
	iconsGoogle.put("wifi", Chr(0xe63e))
	iconsGoogle.put("wifi_lock", Chr(0xe1e1))
	iconsGoogle.put("wifi_tethering", Chr(0xe1e2))
	iconsGoogle.put("work", Chr(0xe8f9))
	iconsGoogle.put("wrap_text", Chr(0xe25b))
	iconsGoogle.put("youtube_searched_for", Chr(0xe8fa))
	iconsGoogle.put("zoom_in", Chr(0xe8ff))
	iconsGoogle.put("zoom_out", Chr(0xe900))
	iconsGoogle.put("zoom_out_map", Chr(0xe56b))
End Sub


Sub lstGroups_SelectedIndexChanged(Index As Int)
	Try
		Dim strGroup As String = lstGroups.Items.Get(Index)
		If strGroup = "" Then Return
		iconFont = fx.CreateMaterialIcons(16)
		sSource = "M"
		LoadFonts(iconsMaterial,strGroup)
	Catch
		LogError("lstGroups_SelectedIndexChanged : " & LastException)
	End Try
End Sub